/**
 * Copyright (c) 2014, 2016, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
define(['./DvtToolkit'], function(dvt) {
  "use strict";
  // Internal use only.  All APIs and functionality are subject to change at any time.

!function(e){e.Legend=function(){},e.Obj.createSubclass(e.Legend,e.BaseComponent),e.Legend.newInstance=function(t,i,n){var o=new e.Legend;return o.Init(t,i,n),o},e.Legend.getDefaults=function(e){return(new i).getDefaults(e)},e.Legend.prototype.Init=function(t,o,r){e.Legend.superclass.Init.call(this,t,o,r),this.setId("legend1000"+Math.floor(1e9*Math.random())),this.Defaults=new i(t),this.EventManager=new n(this),this.EventManager.addListeners(this),this._peers=[],this._navigablePeers=[],this._bounds=null,this._titles=[]},e.Legend.prototype.SetOptions=function(e){this.getOptionsCache().clearCache(),e?(this.Options=this.Defaults.calcOptions(e),this._transferVisibilityProperties(this.Options.sections)):this.Options||(this.Options=this.GetDefaults())},e.Legend.prototype.getPreferredSize=function(t,i,n){this.SetOptions(t),this.getOptions().isLayout=!0;var o=new e.Rectangle(0,0,i,n),r=s.render(this,o);return this.getOptions().isLayout=!1,new e.Dimension(r.w,r.h)},e.Legend.prototype.render=function(t,i,n){this.getCache().clearCache(),this.SetOptions(t),isNaN(i)||isNaN(n)||(this.Width=i,this.Height=n),this.getOptions().isLayout=!1;for(var r=this.getNumChildren(),a=0;a<r;a++){this.getChildAt(a).destroy()}this.removeChildren(),this._peers=[],this._navigablePeers=[],this._bounds=null,this._titles=[],e.Agent.isTouchDevice()||this.EventManager.setKeyboardHandler(new o(this.EventManager,this)),this.UpdateAriaAttributes();var l=new e.Rectangle(0,0,this.Width,this.Height);this._contentDimensions=s.render(this,l);var g=this.getOptions().highlightedCategories;return g&&g.length>0&&this.highlight(g),this.RenderComplete(),this._contentDimensions},e.Legend.prototype.highlight=function(t){this.getOptions().highlightedCategories=t&&t.length>0?t.slice():null,e.CategoryRolloverHandler.highlight(t,this.__getObjects(),!0)},e.Legend.prototype.processEvent=function(t,i){if("categoryHighlight"==t.type&&"dim"==this.getOptions().hoverBehavior){var n=this.__getObjects();this!=i&&this.highlight(t.categories);for(var o=0;o<n.length;o++)if(e.Obj.compareValues(this.getCtx(),n[o].getId(),t.categories)){this.container.scrollIntoView(n[o].getDisplayables()[0]);break}}this==i&&this.dispatchEvent(t)},e.Legend.prototype.__registerObject=function(t){if(t.getDisplayables()[0]instanceof e.Button)this._navigablePeers.push(t);else{var i=this.getOptions().hideAndShowBehavior;(null!=t.getDatatip()||t.isDrillable()||"none"!=i&&"off"!=i)&&this._navigablePeers.push(t),this._peers.push(t)}},e.Legend.prototype.__getObjects=function(){return this._peers},e.Legend.prototype.__getKeyboardObjects=function(){return this._navigablePeers},e.Legend.prototype.__setBounds=function(e){this._bounds=e.clone()},e.Legend.prototype.__getBounds=function(){return this._bounds},e.Legend.prototype.__registerTitle=function(e){this._titles.push(e)},e.Legend.prototype.__getTitles=function(){return this._titles},e.Legend.prototype.getAutomation=function(){return new t(this)},e.Legend.prototype.getKeyboardFocus=function(){return null!=this.EventManager?this.EventManager.getFocus():null},e.Legend.prototype.setKeyboardFocus=function(t,i){if(null!=this.EventManager){for(var n=this.__getKeyboardObjects(),o=0;o<n.length;o++)if(e.Obj.compareValues(this.getCtx(),n[o].getId(),t.getId())){this.EventManager.setFocusObj(n[o]),i&&n[o].showKeyboardFocusEffect();break}var r=this.getKeyboardFocus();if(r){var s=r.getDisplayables()[0];s.setAriaProperty("label",r.getAriaLabel()),this.getCtx().setActiveElement(s)}}},e.Legend.prototype.getDimensions=function(t){var i=new e.Rectangle(0,0,this.Width,this.Height);return t&&t!==this?this.ConvertCoordSpaceRect(i,t):i},e.Legend.prototype.getContentDimensions=function(e){return e&&e!==this?this.ConvertCoordSpaceRect(this._contentDimensions,e):this._contentDimensions},e.Legend.prototype._transferVisibilityProperties=function(e){if(e&&!(e.length<=0))for(var t=this.getOptions().hiddenCategories,i=0;i<e.length;i++){var n=e[i];n.sections&&this._transferVisibilityProperties(n.sections);var o=n.items;if(o&&!(o.length<=0))for(var r=0;r<o.length;r++){var a=o[r],l=s.getItemCategory(a,this);"hidden"==a.categoryVisibility&&t.indexOf(l)<0&&t.push(l),a.categoryVisibility=null}}},e.Legend.prototype.UpdateAriaAttributes=function(){if(this.IsParentRoot()){var t=this.getOptions(),i=t.translations,n=t.hideAndShowBehavior;("off"!=n&&"none"!=n||"dim"==t.hoverBehavior)&&(this.getCtx().setAriaRole("application"),this.getCtx().setAriaLabel(e.ResourceUtils.format(i.labelAndValue,[i.labelDataVisualization,e.TextUtils.processAriaLabel(this.GetComponentDescription())])))}},e.Legend.prototype.isNavigable=function(){return this._navigablePeers.length>0},e.Legend.getItemCount=function(t){var i=t.getOptionsCache().getFromCache("itemsCount");if(null!=i)return i;i=0;for(var n=t.getOptions().sections,o=0;o<n.length;o++){var r=n[o];i+=e.Legend.getSectionItemsCount(r)}return t.getOptionsCache().putToCache("itemsCount",i),i},e.Legend.getSectionItemsCount=function(t){var i=0;if(t.items&&(i+=t.items.length),t.sections)for(var n=t.sections,o=0;o<n.length;o++)i+=e.Legend.getSectionItemsCount(n[o]);return i};var t=function(e){this._legend=e,this._options=this._legend.getOptions()};e.Obj.createSubclass(t,e.Automation),t.prototype.GetSubIdForDomElement=function(e){var t=this._legend.getEventManager().GetLogicalObject(e);if(t&&t instanceof r){var i=t.getData(),n=this._getIndicesFromItem(i,this._options);if(n)return"section"+n}return null},t.prototype._getIndicesFromItem=function(e,t){if(t.sections&&t.sections.length>0){for(var i=0;i<t.sections.length;i++){if(t.sections[i]==e)return"["+i+"]";var n=this._getIndicesFromItem(e,t.sections[i]);if(n)return"["+i+"]"+n}return null}if(t.items&&t.items.length>0){for(var o=0;o<t.items.length;o++)if(t.items[o]==e)return":item["+o+"]";return null}},t.prototype.getIndicesFromSeries=function(e,t){if(t.sections&&t.sections.length>0){for(var i=0;i<t.sections.length;i++){var n=this.getIndicesFromSeries(e,t.sections[i]);if(n)return"["+i+"]"+n}return null}if(t.items&&t.items.length>0){for(var o=0;o<t.items.length;o++)if(t.items[o].text==e.name)return":item["+o+"]";return null}},t.prototype.getLegendItem=function(e,t){var i=t.indexOf("["),n=t.indexOf("]");if(i>=0&&n>=0){var o=t.substring(i+1,n),r=t.indexOf(":"),s=(t=t.substring(n+1)).indexOf("["),a=t.indexOf("]");return s>=0&&a>=0?this.getLegendItem(e.sections[o],t):0==r?e.items[o]:e.sections[o]}},t.prototype.getDomElementForSubId=function(t){if(t==e.Automation.TOOLTIP_SUBID)return this.GetTooltipElement(this._legend);for(var i=this.getLegendItem(this._options,t),n=this._legend.__getObjects(),o=0;o<n.length;o++){if(i==n[o].getData())return n[o].getDisplayables()[0].getElem()}return null},t.prototype.getTitle=function(){return this._options.title},t.prototype.getItem=function(e){var t,i=e.shift(),n=this._options;if(!n.sections||0===n.sections.length)return null;for(;null!=i;)e.length>0?n=n.sections[i]:t=n.items[i],i=e.shift();return t?{text:t.text?t.text:null}:null},t.prototype.getSection=function(e){var t,i=e.shift(),n=this._options;if(!n.sections||0===n.sections.length)return null;for(;null!=i;)e.length>0?n=n.sections[i]:t=n.sections[i],i=e.shift();return{title:t.title?t.title:null,items:t.items?this._generateItemObjects(t.items):null,sections:t.sections?this._generateSectionObjects(t.sections):null}},t.prototype._generateItemObjects=function(e){for(var t=[],i=0;i<e.length;i++)t.push({text:e[i].text});return t},t.prototype._generateSectionObjects=function(e){for(var t=[],i=0;i<e.length;i++)t.push({title:e[i].title?e[i].title:null,items:e[i].items?this._generateItemObjects(e[i].items):null,sections:e[i].sections?this._generateSectionObjects(e[i].sections):null});return t};var i=function(e){this.Init({alta:i.SKIN_ALTA},e)};e.Obj.createSubclass(i,e.BaseComponentDefaults),i.SKIN_ALTA={skin:e.CSSStyle.SKIN_ALTA,orientation:"vertical",position:null,backgroundColor:null,borderColor:null,textStyle:new e.CSSStyle(e.BaseComponentDefaults.FONT_FAMILY_ALTA_11+"color: #333333;"),titleStyle:new e.CSSStyle(e.BaseComponentDefaults.FONT_FAMILY_ALTA_11+"color: #737373;"),_sectionTitleStyle:new e.CSSStyle(e.BaseComponentDefaults.FONT_FAMILY_ALTA_11+"color: #737373;"),titleHalign:"start",hiddenCategories:[],hideAndShowBehavior:"off",hoverBehavior:"none",hoverBehaviorDelay:200,scrolling:"asNeeded",halign:"start",valign:"top",drilling:"off",dnd:{drag:{series:{}},drop:{legend:{}}},_color:"#a6acb1",_markerShape:"square",_lineWidth:3,layout:{outerGapWidth:3,outerGapHeight:3,titleGapWidth:17,titleGapHeight:9,symbolGapWidth:7,symbolGapHeight:4,rowGap:4,columnGap:10,sectionGapHeight:16,sectionGapWidth:24},isLayout:!1},i.getGapSize=function(t,i){var n=Math.min(e.TextUtils.getTextStringHeight(t.getCtx(),t.getOptions().textStyle)/14,1);return Math.ceil(i*n)},i.prototype.getNoCloneObject=function(e){return{sections:{items:{_dataContext:!0}}}};var n=function(e){this.Init(e.getCtx(),e.processEvent,e,e),this._legend=e};e.Obj.createSubclass(n,e.EventManager),n.prototype.OnClick=function(e){n.superclass.OnClick.call(this,e);var t=this.GetLogicalObject(e.target);if(t){var i=this.processHideShowEvent(t),o=this.handleClick(t,e);(i||o)&&e.stopPropagation()}},n.prototype.OnMouseOver=function(t){n.superclass.OnMouseOver.call(this,t);var i=this.GetLogicalObject(t.target);if(i){var o=i instanceof e.SimpleObjPeer?i.getParams():null;if(o&&o.isCollapsible&&o.button)o.button.drawOverState();this.UpdateActiveElement(i)}},n.prototype.OnMouseOut=function(t){n.superclass.OnMouseOut.call(this,t);var i=this.GetLogicalObject(t.target);if(i){var o=i instanceof e.SimpleObjPeer?i.getParams():null;if(o&&o.isCollapsible&&o.button)o.button.drawUpState()}},n.prototype.HandleTouchClickInternal=function(e){var t=this.GetLogicalObject(e.target);if(t){var i=e.touchEvent,n=this.processHideShowEvent(t),o=this.handleClick(t,e);(n||o)&&i&&i.preventDefault()}},n.prototype.processHideShowEvent=function(t){var i=this._legend.getOptions().hideAndShowBehavior;if("none"==i||"off"==i)return!1;var n=t.getCategories?t.getCategories():null;if(!n||n.length<=0)return!1;var o=t.getCategories()[0],r=this._legend.getOptions().hiddenCategories||[];r=r.slice();for(var a=t.getDisplayables(),l=0;l<a.length;l++){var g=a[l];g instanceof e.SimpleMarker?g.setHollow(t.getColor()):g instanceof e.Rect&&t.updateAriaLabel()}var h,c=n[0];return s.isCategoryHidden(o,this._legend)?(r.splice(r.indexOf(o),1),h=e.EventFactory.newCategoryShowEvent(c,r)):(r.push(o),h=e.EventFactory.newCategoryHideEvent(c,r)),this._legend.getOptions().hiddenCategories=r,this.FireEvent(h,this._legend),!0},n.prototype.handleClick=function(t,i){if(t instanceof r&&t.isDrillable()){var n=t.getId();return this.FireEvent(e.EventFactory.newChartDrillEvent(n,n,null),this._legend),!0}var o=t instanceof e.SimpleObjPeer?t.getParams():null;return!(!o||!o.isCollapsible)&&(this.toggleSectionCollapse(i,o.id),!0)},n.prototype.ProcessRolloverEvent=function(t,i,n){var o=this._legend.getOptions();if(!("none"==o.hoverBehavior||i.getDisplayables&&i.getDisplayables()[0]instanceof e.Button)){var r=i.getCategories?i.getCategories():[];o.highlightedCategories=n?r.slice():null;var s=e.EventFactory.newCategoryHighlightEvent(o.highlightedCategories,n),a=e.CSSStyle.getTimeMilliseconds(o.hoverBehaviorDelay);this.RolloverHandler.processEvent(s,this._legend.__getObjects(),a,!0)}},n.prototype.onCollapseButtonClick=function(e,t){var i=t.getId();this.toggleSectionCollapse(e,i)},n.prototype.toggleSectionCollapse=function(t,i){for(var n=this._legend.getOptions(),o=n.expanded,r=this._legend.getOptions(),s=null,a=0;a<i.length;a++)r=r.sections[i[a]];if(o?o.has(r.id)?(n.expanded=o.delete([r.id]),s=!1):(n.expanded=o.add([r.id]),s=!0):r.expanded="off"==r.expanded?"on":"off",t.type==e.MouseEvent.CLICK){var l=this.GetLogicalObject(t.target);l.getNextNavigable&&this.setFocusObj(l.getNextNavigable(t))}var g=this._legend.getKeyboardFocus(),h=!!g&&g.isShowingKeyboardFocusEffect();if(this._legend.render(),g&&this._legend.setKeyboardFocus(g,h),this.hideTooltip(),null!=s){t=new e.EventFactory.newExpandCollapseEvent(s?"expand":"collapse",r.id,r,this._legend.getOptions()._widgetConstructor,n.expanded);this.FireEvent(t,this._legend)}},n.prototype.GetTouchResponse=function(){return this._legend.getOptions()._isScrollingLegend?e.EventManager.TOUCH_RESPONSE_TOUCH_HOLD:e.EventManager.TOUCH_RESPONSE_TOUCH_START},n.prototype.isDndSupported=function(){return!0},n.prototype.GetDragSourceType=function(e){var t=this.DragSource.getDragObject();return t instanceof r&&null!=t.getData()._dataContext?"series":null},n.prototype.GetDragDataContexts=function(){var e=this.DragSource.getDragObject();return e instanceof r?[e.getData()._dataContext]:[]},n.prototype.GetDropTargetType=function(e){var t=this._legend.stageToLocal(this.getCtx().pageToStageCoords(e.pageX,e.pageY)),i=this._legend.getOptions().dnd.drop,n=this._legend.__getBounds();return Object.keys(i.legend).length>0&&n.containsPoint(t.x,t.y)?"legend":null},n.prototype.GetDropEventPayload=function(e){return{}},n.prototype.ShowDropEffect=function(e){if("legend"==this.GetDropTargetType(e)){var t=this._legend.getOptions()._dropColor,i=this._legend.getCache().getFromCache("background");i&&(i.setSolidFill(t),i.setClassName("oj-active-drop"))}},n.prototype.ClearDropEffect=function(){var t=this._legend.getCache().getFromCache("background");if(t){var i=this._legend.getOptions().backgroundColor;i?t.setSolidFill(i):t.setInvisibleFill(),e.ToolkitUtils.removeClassName(t.getElem(),"oj-invalid-drop"),e.ToolkitUtils.removeClassName(t.getElem(),"oj-active-drop")}},n.prototype.ShowRejectedDropEffect=function(e){if("legend"==this.GetDropTargetType(e)){var t=this._legend.getCache().getFromCache("background");t&&t.setClassName("oj-invalid-drop")}};var o=function(e,t){this.Init(e,t)};e.Obj.createSubclass(o,e.KeyboardHandler),o.prototype.Init=function(e,t){o.superclass.Init.call(this,e),this._legend=t},o.prototype.processKeyDown=function(t){var i=t.keyCode,n=this._eventManager.getFocus(),r=n&&n.getDisplayables()[0]instanceof e.Button,s=null;if(null==n&&i==e.KeyboardEvent.TAB){var a=this._legend.__getKeyboardObjects();a.length>0&&(e.EventManager.consumeEvent(t),s=this.getDefaultNavigable(a))}else n&&(i==e.KeyboardEvent.TAB?(e.EventManager.consumeEvent(t),s=n):i==e.KeyboardEvent.ENTER||i==e.KeyboardEvent.SPACE?(i==e.KeyboardEvent.ENTER&&this._eventManager.handleClick(n,t),r?this._eventManager.onCollapseButtonClick(t,n.getDisplayables()[0]):this._eventManager.processHideShowEvent(n),e.EventManager.consumeEvent(t)):!r||i!=e.KeyboardEvent.LEFT_ARROW&&i!=e.KeyboardEvent.RIGHT_ARROW?s=o.superclass.processKeyDown.call(this,t):(this._eventManager.onCollapseButtonClick(t,n.getDisplayables()[0]),e.EventManager.consumeEvent(t)));return s&&this._legend.container.scrollIntoView(s.getDisplayables()[0]),s};var r=function(e,t,i,n,o,r){this.Init(e,t,i,n,o,r)};e.Obj.createSubclass(r,e.Obj),r.prototype.Init=function(t,i,n,o,r,a){if(this._legend=t,this._displayables=i,this._item=n,this._category=s.getItemCategory(this._item,this._legend),this._id=this._category?this._category:n.title,this._drillable=a,this._tooltip=o,this._datatip=r,this._isShowingKeyboardFocusEffect=!1,this._drillable)for(var l=0;l<this._displayables.length;l++)this._displayables[l].setCursor(e.SelectionEffectUtils.getSelectingCursor())},r.associate=function(e,t,i,n,o,s){if(!e||!i)return null;var a=new r(t,e,i,n,o,s);t.__registerObject(a);for(var l=0;l<e.length;l++)t.getEventManager().associate(e[l],a);return a},r.prototype.getData=function(){return this._item},r.prototype.getColor=function(){return this._item.color},r.prototype.getId=function(){return this._id},r.prototype.getDisplayables=function(){return this._displayables},r.prototype.getCategories=function(e){return null!=this._category?[this._category]:null},r.prototype.isDrillable=function(){return this._drillable},r.prototype.getAriaLabel=function(){var t=[],i=this._legend.getOptions().translations,n=this._legend.getOptions().hideAndShowBehavior,o=s.isCategoryHidden(this._category,this._legend),r=this.getData();return this._displayables[0]instanceof e.Button?(t.push(i[s.isSectionCollapsed(r,this._legend)?"stateCollapsed":"stateExpanded"]),e.Displayable.generateAriaLabel(r.title,t)):("off"!=n&&"none"!=n&&t.push(i[o?"stateHidden":"stateVisible"]),this.isDrillable()&&t.push(i.stateDrillable),null!=r.shortDesc?e.Displayable.generateAriaLabel(r.shortDesc,t):t.length>0?e.Displayable.generateAriaLabel(r.text,t):null)},r.prototype.updateAriaLabel=function(){!e.Agent.deferAriaCreation()&&this._displayables[0]&&this._displayables[0].setAriaProperty("label",this.getAriaLabel())},r.prototype.getNextNavigable=function(t){if(t.type==e.MouseEvent.CLICK)return this;var i=this._legend.__getKeyboardObjects();return e.KeyboardHandler.getNextNavigable(this,t,i,!0)},r.prototype.getKeyboardBoundingBox=function(t){return this._displayables[0]?this._displayables[0].getDimensions(t):new e.Rectangle(0,0,0,0)},r.prototype.getTargetElem=function(){return this._displayables[0]?this._displayables[0].getElem():null},r.prototype.showKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!0,this._displayables[0]&&(this._displayables[0]instanceof e.Button?this._displayables[0].drawOverState():this._displayables[0].setSolidStroke(e.Agent.getFocusColor()))},r.prototype.hideKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!1,this._displayables[0]&&(this._displayables[0]instanceof e.Button?this._displayables[0].drawUpState():this._displayables[0].setStroke(null))},r.prototype.isShowingKeyboardFocusEffect=function(){return this._isShowingKeyboardFocusEffect},r.prototype.getTooltip=function(e){return this._tooltip},r.prototype.getDatatip=function(e){return this._datatip},r.prototype.getDatatipColor=function(e){return this._item.color},r.prototype.isDragAvailable=function(e){return!0},r.prototype.getDragTransferable=function(e,t){return[this.getId()]},r.prototype.getDragFeedback=function(e,t){return this.getDisplayables()};var s=new Object;e.Obj.createSubclass(s,e.Obj),s._DEFAULT_LINE_WIDTH_WITH_MARKER=2,s._LINE_MARKER_SIZE_FACTOR=.6,s._DEFAULT_SYMBOL_SIZE=10,s._BUTTON_SIZE=12,s._FOCUS_GAP=2,s.render=function(t,n){var o=t.getOptions(),r=t.getCtx(),a=e.Agent.isRightToLeft(r);t.__setBounds(n),o.isLayout||s._renderBackground(t,n);var l=new e.SimpleScrollableContainer(r,n.w,n.h),g=new e.Container(r);l.getScrollingPane().addChild(g),t.addChild(l),t.container=l;var h=i.getGapSize(t,o.layout.outerGapWidth),c=i.getGapSize(t,o.layout.outerGapHeight);if(n.x+=h,n.y+=c,n.w-=2*h,n.h-=2*c,n.w<=0||n.h<=0)return new e.Dimension(0,0);var u=s._renderContents(t,g,new e.Rectangle(n.x,n.y,n.w,n.h));if(0==u.w||0==u.h)return new e.Dimension(0,0);l.prepareContentPane(),u.h>n.h?(u.h=n.h,o._isScrollingLegend=!0):o._isScrollingLegend=!1;var d=0,p=0,_=null!=o.hAlign?o.hAlign:o.halign;"center"==_?d=n.x-u.x+(n.w-u.w)/2:"end"==_&&(d=a?n.x-u.x:n.x-u.x+n.w-u.w);var y=null!=o.vAlign?o.vAlign:o.valign;"middle"==y?p=n.y-u.y+(n.h-u.h)/2:"bottom"==y&&(p=n.y-u.y+n.h-u.h);var f=new e.Rectangle(u.x+d-h,u.y+p-c,u.w+2*h,u.h+2*c);if(o.isLayout)return f;(d||p)&&g.setTranslate(d,p);for(var v=t.__getTitles(),b=0;b<v.length;b++)e.LayoutUtils.align(u,v[b].halign,v[b].text,v[b].text.getDimensions().w);return f},s._renderContents=function(e,t,n){var o=e.getOptions();n=n.clone();var r=s._renderTitle(e,t,o.title,n,null,!0);if(r){var a=r.getDimensions(),l=i.getGapSize(e,o.layout.titleGapHeight);n.y+=a.h+l,n.h-=Math.floor(a.h+l)}var g=s._renderSections(e,t,o.sections,n,[]);return r?a.getUnion(g):g},s._renderBackground=function(t,i){var n=t.getOptions(),o=n.backgroundColor,r=n.borderColor,s=n.dnd?n.dnd.drop.legend:{},a=n.dnd?n.dnd.drag.series:{};if(o||r||Object.keys(s).length>0||Object.keys(a).length>0){var l=new e.Rect(t.getCtx(),i.x,i.y,i.w,i.h);o?l.setSolidFill(o):l.setInvisibleFill(),r&&(l.setSolidStroke(r),l.setPixelHinting(!0)),t.addChild(l),t.getCache().putToCache("background",l)}},s._renderTitle=function(t,i,n,o,r,s,a,l){var g=t.getOptions(),h=i.getCtx(),c=e.Agent.isRightToLeft(h);if(!n)return null;var u=new e.OutputText(h,n,o.x,o.y),d=g.titleStyle;if(r&&r.titleStyle?d=new e.CSSStyle(r.titleStyle):r&&g._sectionTitleStyle&&(d=g._sectionTitleStyle),u.setCSSStyle(d),e.TextUtils.fitText(u,o.w,1/0,i)){if(c&&u.setX(o.x+o.w-u.getDimensions().w),g.isLayout)i.removeChild(u);else{var p={id:a,button:l};if(p.isCollapsible=r&&("on"==r.collapsible||1==r.collapsible),t.getEventManager().associate(u,new e.SimpleObjPeer(u.getUntruncatedTextString(),null,null,p)),s){var _=r&&r.titleHalign?r.titleHalign:g.titleHalign;t.__registerTitle({text:u,halign:_})}}return u}return null},s._renderSections=function(t,n,o,r,a){if(!o||0==o.length)return new e.Rectangle(0,0,0,0);var l=t.getOptions();l.symbolWidth||l.symbolHeight?(l.symbolWidth?l.symbolHeight||(l.symbolHeight=l.symbolWidth):l.symbolWidth=l.symbolHeight,l.symbolWidth=parseInt(l.symbolWidth),l.symbolHeight=parseInt(l.symbolHeight)):(l.symbolWidth=s._DEFAULT_SYMBOL_SIZE,l.symbolHeight=s._DEFAULT_SYMBOL_SIZE);for(var g,h=i.getGapSize(t,l.layout.sectionGapHeight),c=i.getGapSize(t,l.layout.titleGapHeight),u=i.getGapSize(t,l.layout.sectionGapWidth),d=s._getRowHeight(t),p="vertical"!=l.orientation,_=null,y=r.clone(),f=0;f<o.length;f++){var v=a.concat([f]),b=s.isSectionCollapsed(o[f],t)?c:h;p?(g=s._renderHorizontalSection(t,n,o[f],y,d)).w>y.w?(y.w<r.w&&(r.y+=g.h+b,r.h-=g.h+b),g=g.w<=r.w?s._renderHorizontalSection(t,n,o[f],r,d):s._renderVerticalSection(t,n,o[f],r,d,v,!0),r.y+=g.h+b,r.h-=g.h+b,y=r.clone()):(y.w-=g.w+u,e.Agent.isRightToLeft(t.getCtx())||(y.x+=g.w+u)):(g=s._renderVerticalSection(t,n,o[f],r,d,v,!1),r.y+=g.h+b,r.h-=g.h+b),_=_?_.getUnion(g):g}return _},s._createButton=function(t,i,n,o,a,l,g,h,c,u,d){var p=s._createButtonImage(t,o,a+"Enabled",l,g),_=s._createButtonImage(t,o,a+"Over",l,g),y=s._createButtonImage(t,o,a+"Down",l,g),f=new e.Button(t,p,_,y,null,c,u,d),v=r.associate([f],i,n,h,null,!1);return f.setAriaRole("button"),v.updateAriaLabel(),f},s._createButtonImage=function(t,i,n,o,r){var a=e.Agent.isRightToLeft(t)?"RTL":"",l=i[n+a]?i[n+a]:i[n],g=new e.Image(t,l,o,r,s._BUTTON_SIZE,s._BUTTON_SIZE);return g.setInvisibleFill(),g},s._renderVerticalSection=function(t,n,o,r,a,l,g){if(o){var h,c=t.getOptions(),u=i.getGapSize(t,c.layout.symbolGapWidth),d=i.getGapSize(t,c.layout.rowGap),p=i.getGapSize(t,c.layout.columnGap),_=t.getCtx(),y=e.Agent.isRightToLeft(_),f=null!=o.sections&&o.sections.length>0,v=null!=o.items&&o.items.length>0,b=r.clone();"off"!=c.scrolling&&(b.h=1/0);var m,S="on"==o.collapsible||1==o.collapsible;if(S){var C=y?b.x+b.w-s._BUTTON_SIZE:b.x;if(!c.isLayout){var O=s.isSectionCollapsed(o,t),x=O?"closed":"open",w=c.translations[O?"tooltipExpand":"tooltipCollapse"],E=t.getEventManager();m=s._createButton(_,t,o,c._resources,x,C,b.y,w,l,E.onCollapseButtonClick,E),n.addChild(m)}h=new e.Rectangle(C,b.y,s._BUTTON_SIZE,s._BUTTON_SIZE);var T=i.getGapSize(t,c.layout.symbolGapWidth);y||(b.x+=s._BUTTON_SIZE+T),b.w-=s._BUTTON_SIZE+T}var L=s._renderTitle(t,n,o.title,b,o,!S&&l.length<=1,l,m),I=L?L.getDimensions():new e.Rectangle(y?b.x+b.w:b.x,b.y,0,0),D=h?I.getUnion(h):I;if(!v&&!f||s.isSectionCollapsed(o,t))return D;if(D.h>0){var A=i.getGapSize(t,c.layout.titleGapHeight);b.y+=D.h+A,b.h-=D.h+A}if(f){var M=s._renderSections(t,n,o.sections,b,l);D=D.getUnion(M)}if(!v)return D;var F=s._calcColumns(t,b,a,o.items,g),G=F.numCols,k=F.numRows,H=F.width,R=b.y;if(0==k||0==G)return D;var B=k*(a+d)-d,N=Math.min(G*(H+p)-p,b.w),P=new e.Rectangle(y?b.x+b.w-N:b.x,b.y,N,B);if(D=D.getUnion(P),c.isLayout)return D;for(var j=H-c.symbolWidth-u,U=0,W=1,K=o.items.length,z=0;z<K;z++){var V=o.items[z];if(s._createLegendItem(t,n,V,b,j,a,z),b.y+=a+d,++U===k&&W!==G&&(b.y=R,b.w-=H+p,y||(b.x+=H+p),U=0,W++),U===k)break}return D}},s._renderHorizontalSection=function(t,n,o,r,a){if(o){var l=t.getOptions(),g=l.symbolWidth,h=i.getGapSize(t,l.layout.symbolGapWidth),c=i.getGapSize(t,l.layout.columnGap),u=i.getGapSize(t,l.layout.titleGapWidth),d=null!=o.items&&o.items.length>0,p=e.Agent.isRightToLeft(t.getCtx()),_=r.clone(),y=s._renderTitle(t,n,o.title,r,o,!1),f=y?y.getDimensions():new e.Rectangle(p?r.x+r.w:r.x,r.y,0,0);if(!d)return f;f.w>0&&(_.w-=f.w+u,p||(_.x+=f.w+u));var v,b,m,S=[],C=r.w-_.w,O=o.items.length;for(m=0;m<O;m++)v=o.items[m],C+=(b=Math.ceil(e.TextUtils.getTextStringWidth(t.getCtx(),v.text,l.textStyle)))+g+h+c,S.push(b);O>0&&(C-=c);var x,w=new e.Rectangle(p?r.x+r.w-C:r.x,r.y,C,Math.max(a,f.h));if(l.isLayout||C>r.w)return n.removeChild(y),w;for(m=0;m<O;m++)v=o.items[m],s._createLegendItem(t,n,v,_,S[m],a,m),x=S[m]+g+h,_.w-=x+c,p||(_.x+=x+c);return w}},s._calcColumns=function(t,n,o,r,s){for(var a=t.getOptions(),l=[],g=0;g<r.length;g++)l.push(r[g].text);var h,c,u,d=e.TextUtils.getMaxTextStringWidth(t.getCtx(),l,a.textStyle),p=a.symbolWidth,_=i.getGapSize(t,a.layout.symbolGapWidth),y=i.getGapSize(t,a.layout.rowGap),f=i.getGapSize(t,a.layout.columnGap),v=Math.ceil(p+_+d);s?(u=Math.min(Math.max(Math.floor((n.w+f)/(v+f)),1),r.length),h=Math.min(Math.floor((n.h+y)/(o+y)),Math.ceil(r.length/u)),u=Math.ceil(r.length/h),h=Math.ceil(r.length/u)):n.h==1/0?(u=1,h=r.length):(h=Math.min(Math.floor((n.h+y)/(o+y)),r.length),u=Math.ceil(r.length/h),h=Math.ceil(r.length/u));var b=(n.w-f*(u-1))/u;return(c=Math.min(v,b))<p?{width:0,numCols:0,numRows:0}:{width:c,numCols:u,numRows:h}},s._getRowHeight=function(t){var n=t.getOptions(),o=e.TextUtils.getTextStringHeight(t.getCtx(),n.textStyle),r=n.symbolHeight+i.getGapSize(t,n.layout.symbolGapHeight);return Math.ceil(Math.max(o,r))},s._createLegendItem=function(t,n,o,a,l,g,h){var c,u=t.getOptions(),d=t.getCtx(),p=e.Agent.isRightToLeft(d),_=u.symbolWidth,y=i.getGapSize(t,u.layout.symbolGapWidth),f=p?a.x+a.w-_:a.x,v=p?a.x+a.w-_-y:a.x+_+y,b=s._createLegendSymbol(t,f,a.y,g,o,h),m=o.text;if(null!=m){var S=u.textStyle;(c=s._createLegendText(n,l,m,S))&&(c.setX(v),e.TextUtils.centerTextVertically(c,a.y+g/2),p&&c.alignRight())}n.addChild(b);var C=new e.Rect(d,p?v-l-s._FOCUS_GAP:f-s._FOCUS_GAP,a.y-s._FOCUS_GAP,_+y+l+2*s._FOCUS_GAP,g+2*s._FOCUS_GAP);C.setInvisibleFill();var O=u.hideAndShowBehavior;"none"!=O&&"off"!=O&&C.setCursor("pointer"),n.addChild(C);var x=[C,b];null!=c&&x.push(c);var w=r.associate(x,t,o,null!=c?c.getUntruncatedTextString():null,o.shortDesc,s._isItemDrillable(t,o));s.isCategoryHidden(s.getItemCategory(o,t),t)&&(b.setHollow(w.getColor()),b.setStyle().setClassName()),("none"!=O&&"off"!=O||null!=o.shortDesc)&&(C.setAriaRole("img"),w.updateAriaLabel())},s._isItemDrillable=function(e,t){return"on"==t.drilling||"off"!=t.drilling&&"on"==e.getOptions().drilling},s._createLegendText=function(t,i,n,o){var r=new e.OutputText(t.getCtx(),n);return r.setCSSStyle(o),r=e.TextUtils.fitText(r,i,1/0,t)?r:null},s._createLegendSymbol=function(t,i,n,o,r,a){var l=t.getOptions(),g=t.getCtx(),h=null!=r.type?r.type:r.symbolType;r.markerShape||(r.markerShape=l._markerShape),r.color||(r.color=l._color),r.lineWidth||(r.lineWidth="lineWithMarker"==h?s._DEFAULT_LINE_WIDTH_WITH_MARKER:l._lineWidth);var c,u=l.symbolWidth,d=l.symbolHeight,p=n+o/2,_=i+u/2;if("line"==h)c=s._createLine(g,i,n,u,o,r);else if("lineWithMarker"==h)c=s._createLine(g,i,n,u,o,r),s.isCategoryHidden(s.getItemCategory(r,t),t)||c.addChild(s._createMarker(t,_,p,u*s._LINE_MARKER_SIZE_FACTOR,d*s._LINE_MARKER_SIZE_FACTOR,r));else if("image"==h)c=s._createImage(t,i,n,u,d,o,r);else if("_verticalBoxPlot"==h)d=Math.max(4*Math.round(d/4),4),(c=new e.Container(g)).addChild(s._createMarker(t,_,p+d/4,u,d/2,s._getBoxPlotOptions(r,"q2"))),c.addChild(s._createMarker(t,_,p-d/4,u,d/2,s._getBoxPlotOptions(r,"q3")));else if("_horizontalBoxPlot"==h){var y=e.Agent.isRightToLeft(g),f=(u=Math.max(4*Math.round(u/4),4))/4*(y?1:-1);(c=new e.Container(g)).addChild(s._createMarker(t,_+f,p,u/2,d,s._getBoxPlotOptions(r,"q2"))),c.addChild(s._createMarker(t,_-f,p,u/2,d,s._getBoxPlotOptions(r,"q3")))}else c=s._createMarker(t,_,p,u,d,r);return c},s._createImage=function(t,i,n,o,r,s,a){var l=t.getCtx(),g=n+s/2,h=i+o/2;return new e.ImageMarker(l,h,g,o,r,null,a.source)},s._createMarker=function(t,i,n,o,r,s){var a,l=t.getCtx(),g=(t.getOptions(),s.markerShape),h=s.symbolType&&"lineWithMarker"==s.symbolType&&s.markerColor?s.markerColor:s.color,c=s.markerStyle||s.markerSvgStyle?s.markerStyle||s.markerSvgStyle:s.style||s.svgStyle,u=s.markerClassName||s.markerSvgClassName?s.markerClassName||s.markerSvgClassName:s.className||s.svgClassName,d=s.pattern;if(d&&"none"!=d?((a=new e.SimpleMarker(l,g,0,0,o,r,null,null,!0)).setFill(new e.PatternFill(d,h,"#FFFFFF")),a.setTranslate(i,n)):(a=new e.SimpleMarker(l,g,i,n,o,r,null,null,!0)).setSolidFill(h),s.borderColor){var p=s._borderWidth?s._borderWidth:1;a.setSolidStroke(s.borderColor,null,p)}return"square"!=g&&"rectangle"!=g||a.setPixelHinting(!0),a.setClassName(u).setStyle(c),a},s._createLine=function(t,i,n,o,r,s){var a=n+r/2;o=o%2==1?o+1:o;var l,g=new e.Line(t,i,Math.round(a),i+o,Math.round(a)),h=s.lineStyle;"dashed"==h?l={dashArray:"4,2,4"}:"dotted"==h&&(l={dashArray:"2"});var c=new e.Stroke(s.color,1,s.lineWidth,!1,l);return g.setClassName(s.className||s.svgClassName).setStyle(s.style||s.svgStyle),g.setStroke(c),g.setPixelHinting(!0),g},s._getBoxPlotOptions=function(e,t){return{markerShape:"rectangle",color:e._boxPlot[t+"Color"],pattern:e._boxPlot["_"+t+"Pattern"],className:e._boxPlot[t+"ClassName"]||e._boxPlot[t+"svgClassName"],style:e._boxPlot[t+"Style"]||e._boxPlot[t+"svgStyle"]}},s.getItemCategory=function(e,t){var i=null,n=null!=t.getOptions().data;return e.categories&&e.categories.length>0?i=e.categories[0]:n||(i=e.id?e.id:e.text),i},s.isCategoryHidden=function(e,t){var i=t.getOptions().hiddenCategories;return!(!i||i.length<=0)&&-1!==i.indexOf(e)},s.isSectionCollapsed=function(e,t){var i=t.getOptions();return"off"==e.expanded||0==e.expanded||i.expanded&&0==i.expanded.has(e.id)}}(dvt);
  return dvt;
});
