/**
 * @license
 * Copyright (c) 2014, 2019, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
define(["ojs/ojcore","jquery","knockout","ojs/ojarraydataprovider","ojs/ojeventtarget","ojs/ojtreedataprovider"],function(e,t,r){"use strict";e.ArrayDataProvider;var a=function(){function a(t,r,a){this.treeData=t,this.options=r,this._rootDataProvider=a,this.TreeAsyncIterator=function(){function e(e,t){this._parent=e,this._baseIterable=t}return e.prototype.next=function(){var e=this;return this._baseIterable[Symbol.asyncIterator]().next().then(function(t){for(var r=t.value.metadata,a=0;a<r.length;a++)r[a]=e._parent._getNodeMetadata(t.value.data[a]);return t})},e}(),this.TreeAsyncIterable=function(){return function(e,t){this._parent=e,this._asyncIterator=t,this[Symbol.asyncIterator]=function(){return this._asyncIterator}}}(),this._baseDataProvider=new e.ArrayDataProvider(t,r),this._mapKeyToNode=new Map,this._mapNodeToKey=new Map,this._mapArrayToSequenceNum=new Map,this._mapKoArrayToSubscriptions=new Map,null==a&&this._processTreeArray(t,[])}return a.prototype.containsKeys=function(e){return this.fetchByKeys(e).then(function(t){var r=new Set;return e.keys.forEach(function(e){null!=t.results.get(e)&&r.add(e)}),Promise.resolve({containsParameters:e,results:r})})},a.prototype.getCapability=function(e){return"filter"===e?null:this._baseDataProvider.getCapability(e)},a.prototype.getTotalSize=function(){return this._baseDataProvider.getTotalSize()},a.prototype.isEmpty=function(){return this._baseDataProvider.isEmpty()},a.prototype.getChildDataProvider=function(e,t){var r=this._getNodeForKey(e);if(r){var o=this._getChildren(r);if(o)return new a(o,this.options,this._getRootDataProvider())}return null},a.prototype.fetchFirst=function(e){e&&e.filterCriterion&&((e=t.extend({},e)).filterCriterion=null);var r=this._baseDataProvider.fetchFirst(e);return new this.TreeAsyncIterable(this,new this.TreeAsyncIterator(this,r))},a.prototype.fetchByOffset=function(e){var t=this._baseDataProvider.fetchByOffset(e),r=this;return t.then(function(e){for(var t=e.results,a=[],o=0;o<t.length;o++){var n=t[o].metadata,i=t[o].data;n=r._getNodeMetadata(i),a.push({data:i,metadata:n})}return{done:e.done,fetchParameters:e.fetchParameters,results:a}})},a.prototype.fetchByKeys=function(e){var t=this,r=new Map;return e.keys.forEach(function(e){var a=t._getNodeForKey(e);a&&r.set(e,{metadata:{key:e},data:a})}),Promise.resolve({fetchParameters:e,results:r})},a.prototype._getChildren=function(e){var t=this.options&&this.options.childrenAttribute?this.options.childrenAttribute:"children";return this._getVal(e,t,!0)},a.prototype._getRootDataProvider=function(){return this._rootDataProvider?this._rootDataProvider:this},a.prototype._subscribeObservableArray=function(t,a){if(!r.isObservable(t)||void 0===t.destroyAll)throw new Error("Invalid data type. ArrayTreeDataProvider only supports Array or observableArray.");var o=this,n=null,i=new Array(2);i[0]=t.subscribe(function(r){var i,s,u,p=[],h=[],d=[],y=[],l=[],c=null,f=null,v=null,_=[];for(i=0;i<r.length;i++){u=r[i].index,status=r[i].status;var g=o._getId(r[i].value);if(g)for(s=0;s<r.length;s++)if(s!=i&&u===r[s].index&&status!==r[s].status&&l.indexOf(i)<0&&_.indexOf(i)<0){var b=o._getId(r[s].value);e.Object.compareValues(g,b)&&("deleted"===status?(_.push(i),l.push(s)):(_.push(s),l.push(i)))}}for(i=0;i<r.length;i++)if("deleted"===r[i].status&&l.indexOf(i)<0&&_.indexOf(i)<0){var m=r[i].value,A=o._getKeyForNode(m);h.push(A),p.push(m),d.push(r[i].index),o._releaseNode(m)}if(h.length>0){y=h.map(function(e){return{key:e}});var N=new Set;h.map(function(e){N.add(e)}),v={data:p,indexes:d,keys:N,metadata:y}}p=[],h=[],d=[],y=[];var P=t(),T=[],K=[],k=[],D=[];for(i=0;i<r.length;i++)if("added"===r[i].status&&_.indexOf(i)<0){m=r[i].value;var S=o._processNode(m,a,t);l.indexOf(i)<0?(h.push(S.key),p.push(m),d.push(r[i].index),y.push({key:S.key})):(T.push(S.key),K.push(m),k.push(r[i].index),D.push({key:S.key}))}if(h.length>0){var O=new Set;h.map(function(e){O.add(e)});var x,w=new Set,E=[],I=[];x=o.options&&o.options.keyAttributes&&"siblings"!==o.options.keyAttributesScope?a.length>0?a[a.length-1]:null:a.length>0?a:null,d.map(function(e){var t;t=e>=P.length-1?"":o._getKeyForNode(P[e+1]),w.add(t),E.push(t),I.push(x)}),f={afterKeys:w,addBeforeKeys:E,parentKeys:I,data:p,indexes:d,keys:O,metadata:y}}if(T.length>0){var M=new Set;T.map(function(e){M.add(e)}),c={data:K,indexes:k,keys:M,metadata:D}}n=new e.DataProviderMutationEvent({add:f,remove:v,update:c})},null,"arrayChange"),i[1]=t.subscribe(function(t){n?o.dispatchEvent(n):o.dispatchEvent(new e.DataProviderRefreshEvent),n=null},null,"change"),this._mapKoArrayToSubscriptions.set(t,i)},a.prototype._unsubscribeObservableArray=function(e){if(r.isObservable(e)&&void 0!==e.destroyAll){var t=this._mapKoArrayToSubscriptions.get(e);t&&(t[0].dispose(),t[1].dispose(),this._mapKoArrayToSubscriptions.delete(e))}},a.prototype._processTreeArray=function(e,t){var r,a=this;e instanceof Array?r=e:(this._subscribeObservableArray(e,t),r=e()),r.forEach(function(r,o){a._processNode(r,t,e)})},a.prototype._releaseTreeArray=function(e){var t,r=this;e instanceof Array?t=e:(this._unsubscribeObservableArray(e),t=e()),t.forEach(function(e,t){r._releaseNode(e)})},a.prototype._processNode=function(e,t,r){var a=this._createKeyObj(e,t,r);this._setMapEntry(a.key,e);var o=this._getChildren(e);return o&&this._processTreeArray(o,a.keyPath),a},a.prototype._releaseNode=function(e){var t=this._getKeyForNode(e);this._deleteMapEntry(t,e);var r=this._getChildren(e);r&&this._releaseTreeArray(r)},a.prototype._createKeyObj=function(e,t,r){var a=this._getId(e),o=t?t.slice():[];return null==a?(o.push(this._incrementSequenceNum(r)),a=o):(o.push(a),this.options&&"siblings"==this.options.keyAttributesScope&&(a=o)),{key:a,keyPath:o}},a.prototype._getId=function(e){var t,r=null!=this.options?this.options.keyAttributes:null;if(null!=r){var a;if(Array.isArray(r))for(t=[],a=0;a<r.length;a++)t[a]=this._getVal(e,r[a]);else t="@value"==r?this._getAllVals(e):this._getVal(e,r);return t}return null},a.prototype._getVal=function(e,t,r){if("string"==typeof t){var a=t.indexOf(".");if(a>0){var o=t.substring(0,a),n=t.substring(a+1),i=e[o];if(i)return this._getVal(i,n)}}return!0!==r&&"function"==typeof e[t]?e[t]():e[t]},a.prototype._getAllVals=function(e){var t=this;return Object.keys(e).map(function(r){return t._getVal(e,r)})},a.prototype._getNodeMetadata=function(e){return{key:this._getKeyForNode(e)}},a.prototype._getNodeForKey=function(e){return this._getRootDataProvider()._mapKeyToNode.get(JSON.stringify(e))},a.prototype._getKeyForNode=function(e){return this._getRootDataProvider()._mapNodeToKey.get(e)},a.prototype._setMapEntry=function(e,t){var r=this._getRootDataProvider();r._mapKeyToNode.set(JSON.stringify(e),t),r._mapNodeToKey.set(t,e)},a.prototype._deleteMapEntry=function(e,t){var r=this._getRootDataProvider();r._mapKeyToNode.delete(JSON.stringify(e)),r._mapNodeToKey.delete(t)},a.prototype._incrementSequenceNum=function(e){var t=this._getRootDataProvider(),r=t._mapArrayToSequenceNum.get(e)||0;return t._mapArrayToSequenceNum.set(e,r+1),r},a}();return e.ArrayTreeDataProvider=a,e.ArrayTreeDataProvider=a,e.EventTargetMixin.applyMixin(a),a});