/**
 * @license
 * Copyright (c) 2014, 2019, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
define(["ojs/ojcore","jquery"],function(e,t){"use strict";e.DomScroller=function(e,r,o){o=o||{},this._data=r,this._asyncIterator=o.asyncIterator,this._element=t(e)[0],this._fetchSize=o.fetchSize,this._fetchSize=this._fetchSize>0?this._fetchSize:25,this._maxCount=o.maxCount,this._maxCount=this._maxCount>0?this._maxCount:500,this._rowCount=o.initialRowCount>0?o.initialRowCount:0,this._successCallback=o.success,this._requestCallback=o.request,this._errorCallback=o.error,this._beforeFetchCallback=o.beforeFetch,this._localKeyValidator=o.localKeyValidator,this._registerDataSourceEventListeners(),this._fetchTrigger=o.fetchTrigger,(null==this._fetchTrigger||isNaN(this._fetchTrigger))&&(this._fetchTrigger=0),this._initialScrollTop=this._element.scrollTop,this._nextFetchTrigger=(this._element.scrollHeight-this._element.clientHeight)/2+this._fetchTrigger,this._lastFetchTrigger=0,this._isScrollTriggeredByMouseWheel=!1,t(this._getScrollEventElement()).on({"scroll.domscroller":function(){var e=this._element,t=this._getScrollTop(e),r=e.scrollHeight-e.clientHeight;r>0&&this._handleScrollerScrollTop(t,r)}.bind(this),"wheel.domscroller":function(){this._isScrollTriggeredByMouseWheel=!0}.bind(this),"mousedown.domscroller":function(){this._isScrollTriggeredByMouseWheel=!1}.bind(this)})},e.DomScroller.prototype.setFetchTrigger=function(e){null!=e&&!isNaN(e)&&e>=0&&(this._fetchTrigger=e)},e.DomScroller.prototype._getScrollEventElement=function(){return this._element===document.body||this._element===document.documentElement?window:this._element},e.DomScroller.calculateOffsetTop=function(e,r){for(var o=0,i=r;i&&i!==e&&t.contains(e,i);)o+=i.offsetTop,i=i.offsetParent;return o},e.DomScroller.prototype._getScrollTop=function(e){var t=this._fetchTrigger;return e===document.documentElement&&(void 0===this._useBodyScrollTop&&(this._useBodyScrollTop=this._initialScrollTop===e.scrollTop),this._useBodyScrollTop)?t+document.body.scrollTop:t+e.scrollTop},e.DomScroller.prototype.destroy=function(){this._unregisterDataSourceEventListeners(),t(this._getScrollEventElement()).off(".domscroller")},e.DomScroller.prototype.checkViewport=function(){return this._asyncIterator&&this._element.clientHeight>0&&!this.isOverflow()?this._fetchMoreRows():Promise.resolve(null)},e.DomScroller.prototype._doFetch=function(e){var t=this;if(this._beforeFetchCallback(e-this._fetchTrigger)){this._lastFetchTrigger=e;var r=t._isScrollTriggeredByMouseWheel;this._fetchPromise=this._fetchMoreRows().then(function(e){t._successCallback&&(e.isMouseWheel=r,t._successCallback(e),t._fetchPromise=null,t._nextFetchTrigger=void 0)},function(e){t._errorCallback&&(t._errorCallback(e),t._fetchPromise=null,t._nextFetchTrigger=void 0)})}else this._nextFetchTrigger=void 0},e.DomScroller.prototype._handleScrollerScrollTop=function(e,t){!this._fetchPromise&&this._asyncIterator&&(isNaN(this._nextFetchTrigger)&&(this._nextFetchTrigger=Math.max(0,(t-e)/2)),e-this._lastFetchTrigger>this._nextFetchTrigger)?this._doFetch(e):t-e<1&&e>this._fetchTrigger&&(this._fetchPromise?this._asyncIterator?null!=this._requestCallback&&this._requestCallback():null!=this._errorCallback&&this._errorCallback():this._asyncIterator&&this._doFetch(e))},e.DomScroller.prototype.isOverflow=function(){var e=this._element;return e.scrollHeight>e.clientHeight+this._fetchTrigger},e.DomScroller.prototype._fetchMoreRows=function(){if(!this._fetchPromise){var e=this._maxCount-this._rowCount;if(e>0){var t=this;if(this._asyncIterator)return this._fetchPromise=this._asyncIterator.next().then(function(r){var o=r;return t._fetchPromise=null,null!=o&&null!=o.value&&(o.value.data.length>0&&(t._rowCount+=o.value.data.length,e<t._fetchSize&&(o.maxCount=t._maxCount,o.maxCountLimit=!0,o.value.data.length>e&&(o.value.data=o.value.data.slice(0,e),o.value.metadata=o.value.metadata.slice(0,e),null!=o.value.fetchParameters&&(o.value.fetchParameters.size=e)))),o.done&&(t._asyncIterator=null)),Promise.resolve(o)}),this._fetchPromise}return Promise.resolve({maxCount:this._maxCount,maxCountLimit:!0})}return this._fetchPromise},e.DomScroller.prototype._handleDataRowMutateEvent=function(e){if(null!=this._asyncIterator){var t,r,o,i=this;null!=e.detail.add&&(null!=(t=e.detail.add).indexes?r=t.indexes:null!=t.addBeforeKeys?o=t.addBeforeKeys:null!=t.afterKeys&&(o=t.afterKeys),this._handleDataRowAddedOrRemoved(o,r,function(){i._rowCount+=1})),null!=e.detail.remove&&(null!=(t=e.detail.remove).indexes?r=t.indexes:null!=t.keys&&(o=t.keys),this._handleDataRowAddedOrRemoved(o,r,function(){i._rowCount-=1}))}},e.DomScroller.prototype._handleDataRowAddedOrRemoved=function(e,t,r){if(t)for(var o=0;o<t.length;o++){var i=t[o];void 0!==i&&this._rowCount>0&&i<=this._rowCount&&r()}else if(e){var l=this._localKeyValidator;null!=l&&e.forEach(function(e){l(e)&&r()})}},e.DomScroller.prototype._registerDataSourceEventListeners=function(){var e,t,r=this._data;if(null!=r)for(this._unregisterDataSourceEventListeners(),this._dataProviderEventHandlers=[],this._dataProviderEventHandlers.push({eventType:"mutate",eventHandler:this._handleDataRowMutateEvent.bind(this)}),e=0;e<this._dataProviderEventHandlers.length;e++)(t=r.addEventListener(this._dataProviderEventHandlers[e].eventType,this._dataProviderEventHandlers[e].eventHandler))&&(this._dataProviderEventHandlers[e].eventHandler=t)},e.DomScroller.prototype._unregisterDataSourceEventListeners=function(){var e,t=this._data;if(null!=this._dataProviderEventHandlers&&null!=t)for(e=0;e<this._dataProviderEventHandlers.length;e++)t.removeEventListener(this._dataProviderEventHandlers[e].eventType,this._dataProviderEventHandlers[e].eventHandler)}});