/**
 * @license
 * Copyright (c) 2014, 2019, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
define(["ojs/ojcore","jquery","ojs/ojcontext","ojs/ojconfig","ojs/ojcomponentcore","ojs/ojattributegrouphandler","ojs/ojlocaledata","ojs/internal-deps/dvt/DvtToolkit","ojs/ojkeysetimpl","ojs/ojmap","ojs/ojlogger","ojdnd","promise"],function(e,t,n,r,i,s,o,a,l,h,d){"use strict";e.AttributeGroupHandler=s.AttributeGroupHandler,e.ColorAttributeGroupHandler=s.ColorAttributeGroupHandler,e.ShapeAttributeGroupHandler=s.ShapeAttributeGroupHandler;var c=function(e,t){this._component=e,this._configMap=t,this._init()};e.Object.createSubclass(c,e.Object,"DataProviderHandler"),c.prototype._init=function(){this._dataProviderEventListeners={},this._keyDataMap={},this._fetchedData={},this._eventListeners=[]},c.prototype._fetchCollection=function(e,t,n,r,i,s){var o=this,a={data:[],keys:[]};if(s<=-1)return Promise.resolve(a);var l=e.fetchFirst({size:-1})[Symbol.asyncIterator](),h=this.isTreeDataProvider(e),d=function(e){for(var s=[],c=0;c<e.value.data.length;c++){var u=t({data:e.value.data[c],key:e.value.metadata[c].key},i);s.push(u)}return Promise.all(s).then(function(e){for(var t=0;t<e.length;t++){var s=e[t].data,l=e[t].key;a.data.push(s),a.keys.push(l),o._keyDataMap[n].set(h?l.value:l,{data:s,key:l,parentKey:r,depth:i})}}).then(function(){return e.done?Promise.resolve(a):l.next().then(d)})};return l.next().then(d)},c.prototype._getDPPostProcessor=function(e,t,n,r){var i=this,s=this.isTreeDataProvider(e);r=null==r?Number.MAX_VALUE:r;var o=function(s,a){var l={value:s.data},h={value:s.key};if(a<r&&n&&n.has(h.value)){var d=e.getChildDataProvider(h.value);if(d)return i._fetchCollection(d,o,t,h.value,a+1).then(function(e){return l.children=e.data,h.children=e.keys,{data:l,key:h}})}return Promise.resolve({data:l,key:h})};return s?o:function(e){return Promise.resolve(e)}},c.prototype.fetchAllData=function(e,t,n){if(n&&this._fetchedData[t])return Promise.resolve(this._fetchedData[t]);var r=this._configMap[t];return this.clear(t,!0),this._fetchCollection(e,this._getDPPostProcessor(e,t,r.expandedKeySet,r.maxFetchDepth),t,null,0,r.maxFetchDepth).then(function(r){return n&&(this._fetchedData[t]=r,this._addDPEventListeners(e,t)),r}.bind(this))},c.prototype._getDataProviderEventHandler=function(e){var t=this,n=function(e,t,n){if(!t)return[];var r=new l(t),i=new Map,s=function(e){for(var t=0;t<e.length;t++){var o=n?e[t].value:e[t],a=r.get(o);a!==r.NOT_A_KEY&&i.set(a,t),n&&e[t].children&&s(e[t].children)}};s(e.keys);var o=[];return t.forEach(function(e){o.push(i.get(e))}),o},r=function(n){Promise.all([n]).then(function(n){t._fireEvent("clearState",{dataProperty:e}),t._fetchedData[e]=n[0],t._fireEvent("dataUpdated",{data:n[0]})})};return function(i){t._fireEvent("notReady",{event:i});var s=this,o=t.isTreeDataProvider(s),a=t._keyDataMap[e];if("refresh"===i.type)r(t.fetchAllData(s,e));else if("mutate"===i.type){var l,h=i.detail.update,d=i.detail.remove,c=i.detail.add,u=t._fetchedData[e],_=function(n,r,i,l){var h=0,d=[],c=1===i&&!l;return r.keys.forEach(function(n){var i,u=l?null:r.data[h];if(o)if(c){var _=a.get(n);_&&(_.data.value=u,i=Promise.resolve({data:_.data,key:a.get(n).key}))}else{var p={value:u},f={value:n},m=s.getChildDataProvider(n);if(m&&!l)i=t.fetchAllData(m,e).then(function(e){return p.children=e.data,f.children=e.keys,{data:p,key:f}});else i=Promise.resolve({data:p,key:f});if(!l){var v=r.parentKeys?r.parentKeys[h]:null;a.set(f.value,{data:p,key:f,parentKey:v})}}else i=Promise.resolve({data:u,key:n}),a.set(n,{data:u,key:n});d.push(i),h+=1}),Promise.all(d).then(function(e){for(var t=0;t<e.length;t++){var r,s,h,d=o?e[t].key.value:e[t].key,_=a.get(d).parentKey;if(_){var p=a.get(_);p.data.children||c||(p.data.children=[],p.key.children=[]),r=p.data.children,s=p.key.children}else r=u.data,s=u.keys;if(l)h=n[t]-t,r.splice(h,i),s.splice(h,i);else{if(c)h=n[t];else h=0===n.length||null==n[t]?r.length:n[t];r.splice(h,i,e[t].data),s.splice(h,i,e[t].key)}}return u})},p=function(e){return s.fetchByKeys({keys:e}).then(function(t){var n=[];return t.results.size>0&&e.forEach(function(e){n.push(t.results.get(e).data)}),n})},f=Promise.resolve();h&&(l=h.indexes||n(u,h.keys,o),f=Array.isArray(h.data)?_(l,h,1):p(h.keys).then(function(e){var t=Object.create(h,{data:{value:e}});return _(l,t,1)})),f.then(function(){return d?(l=d.indexes||n(u,d.keys,o),_(l,d,1,!0)):Promise.resolve()}).then(function(){return c?(l=c.indexes||n(u,c.addBeforeKeys?c.addBeforeKeys:c.afterKeys,o),Array.isArray(c.data)?_(l,c,0):p(c.keys).then(function(e){var t=Object.create(c,{data:{value:e}});return _(l,t,0)})):Promise.resolve()}).then(function(){r(Promise.resolve(u))})}}},c.prototype._addDPEventListeners=function(e,t){if(!this._dataProviderEventListeners[t]){var n=this._getDataProviderEventHandler(t);e.addEventListener("mutate",n),e.addEventListener("refresh",n),this._dataProviderEventListeners[t]={dataProvider:e,listener:n}}},c.prototype.release=function(e){var t=function(e){var t=this._dataProviderEventListeners[e];if(t){var n=t.dataProvider,r=t.listener;n.removeEventListener("mutate",r),n.removeEventListener("refresh",r),this._dataProviderEventListeners[e]=null}}.bind(this);if(e)t(e),this.clear(e);else{for(var n=Object.keys(this._dataProviderEventListeners),r=0;r<n.length;r++)t(n[r]);this.clear()}},c.prototype.fetchChildrenData=function(e,t,n,r){var i=function(t,n,r){this._keyDataMap[e].get(t).data.children=n,this._keyDataMap[e].get(t).key.children=r}.bind(this),s=t.getChildDataProvider(n);if(s){var o=this._configMap[e].maxFetchDepth,a=this._keyDataMap[e].get(n).depth,l=this._getDPPostProcessor(t,e,r,o);return this._fetchCollection(s,l,e,n,a,o).then(function(e){return i(n,e.data,e.keys),e})}return Promise.resolve({data:[],keys:[]})},c.prototype.clear=function(e,t){e&&t?(this._keyDataMap[e]=this._keyDataMap[e]||new h,this._fireEvent("reset",{dataProperty:e})):e?this._fetchedData[e]=null:(this._fetchedData={},this._keyDataMap={})},c.prototype.isDataProvider=function(t){return e.DataProviderFeatureChecker.isDataProvider(t)},c.prototype.isTreeDataProvider=function(t){return e.DataProviderFeatureChecker.isTreeDataProvider(t)},c.prototype.addEventListener=function(e){this._eventListeners.push(e)},c.prototype._fireEvent=function(e,t){for(var n=0;n<this._eventListeners.length;n++)this._eventListeners[n]({type:e,detail:t})};var u={_SHAPE_REGEXP:/\d/,_SHAPE_ENUMS:{circle:!0,ellipse:!0,square:!0,rectangle:!0,diamond:!0,triangleUp:!0,triangleDown:!0,plus:!0,human:!0,star:!0},shapeParseFunction:function(e,t){var n=t||u._SHAPE_ENUMS;return function(t,r,i,s){if(e[r]){if(u._SHAPE_REGEXP.test(t))return t;if(n[t])return t;throw new Error("Found: '"+t+"'. Expected one of the following: "+Object.keys(n).toString())}return s(t)}}},_=function(e,t){this._path=t,this._root=e,this._delimiter="/"};_.prototype._resolveLeafObjectAndProperty=function(e,t,n,r){for(var i={};e&&t.indexOf(n)>-1;){var s=t.substring(0,t.indexOf(n));r&&void 0===e[s]&&(e[s]={}),e=e[s],t=t.substring(t.indexOf(n)+1,t.length)}return e&&(i.object=e,i.parameter=t),i},_.prototype._resolvePath=function(e){if(void 0===this._leaf){var t=this._resolveLeafObjectAndProperty(this._root,this._path,this._delimiter,e);this._leaf=t.object,this._param=t.parameter}},_.prototype.getValue=function(){return this._resolvePath(!1),void 0===this._leaf?void 0:this._leaf[this._param]},_.prototype.setValue=function(e,t){this._resolvePath(!0),!t&&this._leaf[this._param]||(this._leaf[this._param]=e)};var p={TEXT:function(e){var t={};return e&&(e.hasClass("oj-gauge-metric-label")?(t["font-size"]=!0,t.color=!0):e.hasClass("oj-treemap-node-header")&&(t["font-weight"]=!0)),p._buildTextCssPropertiesObject(e,t)},BACKGROUND:function(e,t,n,r){return p._buildCssBackgroundPropertiesObject(e)},ANIM_DUR:function(e){var t=e.css("animation-duration");if(t)return"ms"===t.slice(-2)?t=parseInt(t.slice(0,-2),10):"s"===t.slice(-1)&&(t=1e3*parseFloat(t.slice(0,-1))),t},_INHERITED_FONT_COLOR:"rgb(254, 0, 254)",_INHERITED_FONT_FAMILY:"Times",_INHERITED_FONT_SIZE:"1px",_INHERITED_FONT_WEIGHT:"1",_INHERITED_FONT_STYLE:"normal",_FONT_SIZE_BUFFER:4,_styleCache:{},defaultStyleProcessor:function(e,t){return e.css(t)},_buildCssBackgroundPropertiesObject:function(e){var t={};return e.css("border-top-color")&&(t.borderColor=e.css("border-top-color")),e.css("border-width")&&e.css("border-style")&&"none"!==e.css("border-style")&&(t.borderWidth=e.css("border-width")),e.css("background-color")&&(t.backgroundColor=e.css("background-color")),t},_buildTextCssPropertiesObject:function(e,t){var n={},r=e.css("font-family");return r&&r!==p._INHERITED_FONT_FAMILY&&(n.fontFamily=r.replace(/"/g,"'")),!(r=e.css("font-size"))||r.indexOf("px")>-1&&parseFloat(r)<p._FONT_SIZE_BUFFER||t["font-size"]||(n.fontSize=r),(r=e.css("font-weight"))&&r!==p._INHERITED_FONT_WEIGHT&&!t["font-weight"]&&(n.fontWeight=r),(r=e.css("color"))&&r!==p._INHERITED_FONT_COLOR&&!t.color&&(n.color=r),(r=e.css("font-style"))&&r!==p._INHERITED_FONT_STYLE&&(n.fontStyle=r),n},processStyles:function(e,n,r,i){var o,a=null,l=null,h="";for(o=0;o<r.length;o++)h=h+r[o]+" ";var d,c={},u={},_=Object.keys(i);for(o=0;o<_.length;o++){var f=i[d=_[o]];f instanceof Array||(f=[f]);var m=p._hasUncachedProperty(d,f);l||a||!m||((a=t(document.createElement("div"))).css("display","none"),e.append(a),a.attr("class",h),t(document.body).append(a),(l=t(document.createElement("div"))).css("font-size",p._INHERITED_FONT_SIZE),l.css("color",p._INHERITED_FONT_COLOR),l.css("font-weight",p._INHERITED_FONT_WEIGHT),l.css("font-style",p._INHERITED_FONT_STYLE),a.append(l)),c[d]=f,m&&(u[d]=p._createStyleDivs(l,d,f))}var v=s.ColorAttributeGroupHandler.__createAttrDiv();for(o=0;o<_.length;o++)d=_[o],p._processStyle(u[d],n,d,c[d]);v&&(s.ColorAttributeGroupHandler.__processAttrDiv(v),v.remove()),a&&a.remove()},_createStyleDivs:function(e,n,r){p._styleCache[n]||(p._styleCache[n]={});for(var i=null,s=0;s<r.length;s++){var o=r[s].property;if(o)void 0===p._styleCache[n][o]&&(i||((i=t(document.createElement("div"))).addClass(n),e.append(i)))}return i},_processStyle:function(e,t,n,r){for(var i=0;i<r.length;i++){var s=r[i],o=s.property;if(o){var a=p._styleCache[n][o];if(void 0===a&&e&&(a=p._resolveStyle(e,o),p._styleCache[n][o]=a),null!=a){var l=new _(t,s.path),h=l.getValue(),d="object"==typeof h;if(d&&h)for(var c=Object.keys(a),u=0;u<c.length;u++){var f=c[u];void 0===h[f]&&(h[f]=a[f])}else l.setValue(a,d)}}}},_resolveStyle:function(e,t){var n=p[t],r=n?n(e):p.defaultStyleProcessor(e,t);return null==r||"string"==typeof r&&""===r.replace(/^\s+/g,"")?null:r},_hasUncachedProperty:function(e,t){var n=p._styleCache[e];if(!n)return!0;for(var r=0;r<t.length;r++){var i=t[r].property;if(i)if(void 0===n[i])return!0}return!1}},f=function(e,t){this._component=e,this._configMap=t,this._init()};return e.Object.createSubclass(f,e.Object,"TemplateHandler"),f.prototype._init=function(){this._templateEnginePromise=null,this.getTemplateEngine(),this._templates=this.getTemplates(),this._templateResults={},this._templateNodeData={},this._componentResults={},this._eventListeners=[],this._queueNextEvent=!0,this._eventUpdates=[],this._templatePropertyMap={},this._propertyValidatorMap={}},f.prototype.getTemplateEngine=function(){return this._templateEnginePromise?this._templateEnginePromise:(this._templateEnginePromise=new Promise(function(e){r.__getTemplateEngine().then(function(t){e(t)},function(e){throw new Error("Error loading template engine: "+e)})}),this._templateEnginePromise)},f.prototype.getTemplates=function(){return e.BaseCustomElementBridge.getSlotMap(this._component.element[0])},f.prototype._getPropertyValidator=function(t,n){if(!t)return null;var r=this._propertyValidatorMap[n];if(r)return r;var i=e.CustomElementBridge.getMetadata(n),s=t.content?t.content.children[0]:t.childNodes[1],o={};return r=function(t,n){var r=t.join("."),a=o[r];if(!a){a=i;for(var l=0;l<t.length;l++)a=a.properties[t[l]];o[r]=a}e.BaseCustomElementBridge.checkEnumValues(s,r,n,a),null!=n&&e.BaseCustomElementBridge.checkType(s,r,n,a)},this._propertyValidatorMap[n]=r,r},f.prototype._processAliasedPropertyNames=function(e,t,n){var r=this._configMap[e].getAliasedPropertyNames;if(r)for(var i=r(t),s=Object.keys(i),o=0;o<s.length;o++){var a=s[o];n[i[a]]=n[a],n[a]=void 0}return n},f.prototype._getTemplateElementProperties=function(e){var t=this._templatePropertyMap[e];return t||(t=this._component.getElementPropertyNames(e),this._templatePropertyMap[e]=t),t},f.prototype.processNodeTemplate=function(t,n,r,i,s,o){var a=this._configMap[t],l=r.getAttribute("slot"),d=this._component.options.as,c=this._component.element[0],u=this._getTemplateElementProperties(i),_="string"==typeof a.templateName?function(){return a.templateName}:a.templateName,p=this._getPropertyValidator(r,i),f=l===_()?t:l,m=function(r){return function(s){var a=this._processAliasedPropertyNames(t,i,s),h=this._templateNodeData[f];e.CollectionUtils.copyInto(h.get(r).data,a),this._eventUpdates.push({key:o,data:a}),this._queueNextEvent&&(this._fireEvent("notReady"),n.getThrottlePromise().then(function(){this._fireEvent("dataUpdated",{dataProperty:t,templateName:l,data:this._eventUpdates.slice(0)}),this._queueNextEvent=!0,this._eventUpdates=[]}.bind(this))),this._queueNextEvent=!1}.bind(this)}.bind(this),v=n.resolveProperties(c,r,i,u,s,d,p);v.subscribe(m(o));var y={data:this._processAliasedPropertyNames(t,i,v.peek()),node:v,context:s};return this._templateNodeData[f]||(this._templateNodeData[f]=new h),this._templateNodeData[f].set(o,y),y.data},f.prototype.processTemplates=function(e,t,n,r,i,s,o){if(s&&this._templateResults[e])return this._templateResults[e];var a,l,h=this._configMap[e],c=this;if(h){a=[],l=[];var u="string"==typeof h.templateName?function(){return h.templateName}:h.templateName,_="string"==typeof h.templateElementName?function(){return h.templateElementName}:h.templateElementName,p=h.resultPath,f=this._component.element[0],m=h.processChildrenData,v=h.processOptionData||function(e){return e},y=c._templateNodeData[e];if(u&&_&&p){var g,C=function(t,r,i,s,o){var a;try{s?a=c.processNodeTemplate(e,n,s[0],o,i,r):((a=Object.create(t))._noTemplate=!0,a._dvtNoClone=!0,y.set(r,{data:a,context:i})),a.id=r,a._itemData=t}catch(e){d.error(e)}return a},D=function(e,t,n){for(var i=e.data,s=e.keys,o=[],a=0;a<i.length;a++){var l=r?i[a].value:i[a],h=r?s[a].value:s[a],d={data:l,key:h,index:a,componentElement:f};r&&(d.parentData=t,d.parentKey=n);var v=u(i[a]),y=_(i[a]),g=c._templates[v],P=C(l,h,d,g,y);if(r&&i[a].children){var E=t.slice(0);E.push(l);var b={data:i[a].children,keys:s[a].children},T=D(b,E,h);m?m(P,i[a],T):P[p]=T}o.push(P)}return o};a.push(p),i&&y.has(i)&&(g=y.get(i).context.parentData.concat(y.get(i).context.data));var P=D(t,g||[],i);l.push(v(P))}o&&(y.get(i).data[p]=l[0])}var E={paths:a,values:l};return s&&(this._templateResults[e]=E),E},f.prototype.release=function(e){var t=function(e){var t=this._templateNodeData[e];t&&(t.forEach(function(e){e.node&&e.node.dispose()}),this._templateNodeData[e]=new h)}.bind(this);if(e)t(e),this.clear(e);else{for(var n=Object.keys(this._templateNodeData),r=0;r<n.length;r++)t(n[r]);this.clear()}},f.prototype.clear=function(e,t){e&&t?this._templateNodeData[e]=this._templateNodeData[e]||new h:e?(this._templateResults[e]=null,this._componentResults[e]=null):(this._templateResults={},this._componentResults={},this._templateNodeData={})},f.prototype.getComponentResults=function(e){return this._componentResults[e]},f.prototype.setComponentResults=function(e,t){this._componentResults[e]=t},f.prototype.addEventListener=function(e){this._eventListeners.push(e)},f.prototype._fireEvent=function(e,t){for(var n=0;n<this._eventListeners.length;n++)this._eventListeners[n]({type:e,detail:t})},e.__registerWidget("oj.dvtBaseComponent",t.oj.baseComponent,{options:{trackResize:"on"},_ComponentCreate:function(){this._super(),this._renderCount=0,this._numDeferredObjs=0,this._optionsCopy=null,this._dataValuePromise={},this._templateMap={},this._TemplateHandler=new f(this,this._GetSimpleDataProviderConfigs()),this._DataProviderHandler=new c(this,this._GetSimpleDataProviderConfigs()),this._DataProviderHandler.addEventListener(this._GetDPEventHandler()),this._TemplateHandler.addEventListener(this._GetDPEventHandler());for(var n=this._GetComponentStyleClasses(),r=0;r<n.length;r++)this.element.addClass(n[r]);this._referenceDiv=t(document.createElement("div")),this._referenceDiv.css("visibility","hidden"),this.element.append(this._referenceDiv),a.Agent.setAgentInfo(e.AgentUtils.getAgentInfo());var s=this.element[0].parentElement;s&&s._dvtcontext?this._context=s._dvtcontext:this._context=new a.Context(this.element[0],null,this._referenceDiv[0]),this._context.oj=e,this._context.KeySetImpl=l,this._context.ojMap=h,this._context.LocaleData=o,this._context.dataProviderProps=Object.keys(this._GetSimpleDataProviderConfigs()),this._context.setReadingDirection(this._GetReadingDirection()),this._context.setTooltipAttachedCallback(i.subtreeAttached),this._context.setOverlayAttachedCallback(i.subtreeAttached),this._context.setFixContextCallback(this._FixRendererContext.bind(this)),this._context.setCustomElement(this._IsCustomElement()),t(document.body).hasClass("oj-hicontrast")&&a.Agent.setHighContrast(!0),this._component=this._CreateDvtComponent(this._context,this._HandleEvent,this),this._context.getStage().addChild(this._component),this._LoadResources(),this.options._environment="jet",this.options._widgetConstructor=i.__GetWidgetConstructor(this.element)},_AfterCreate:function(){this._super(),"off"!==this.options.trackResize&&this._addResizeListener(),this._ProcessOptions(),this._Render()},_SetLocaleHelpers:function(e){if(!1!==a.requireJS){var t={};t.numberConverterFactory=e.Validation.getDefaultConverterFactory("number"),t.isoToDateConverter=function(t){if("string"==typeof t){var n=e.IntlConverterUtils.isoToDate(t),r=n.toJSON()?e.IntlConverterUtils.dateToLocalIso(n):t;return e.IntlConverterUtils.isoToLocalDate(r)}return t},t.dateToIsoWithTimeZoneConverter=function(t){if(t instanceof Date){var n=-1*t.getTimezoneOffset(),r=n>=0?"+":"-",i=Math.floor(Math.abs(n)/60),s=Math.abs(n)%60,o=r+(2!==i.toString().length?"0"+i:i)+":"+(2!==s.toString().length?s+"0":s);return e.IntlConverterUtils.dateToLocalIso(t)+o}return t},this._context.setLocaleHelpers(t)}},refresh:function(){this._super(),this._context.setReadingDirection(this._GetReadingDirection()),this._Render()},getNodeBySubId:function(e){var t=this._component&&this._component.getAutomation?this._component.getAutomation():null;if(t){var n=this._ConvertLocatorToSubId(e);return t.getDomElementForSubId(n)}return null},getSubIdByNode:function(e){var t=this._component&&this._component.getAutomation?this._component.getAutomation():null;if(t){var n=t.getSubIdForDomElement(e);return n?this._ConvertSubIdToLocator(n):null}return null},_ConvertLocatorToSubId:function(e){return null},_ConvertSubIdToLocator:function(e){return null},_ProcessStyles:function(){p.processStyles(this.element,this.options,this._GetComponentStyleClasses(),this._GetChildStyleClasses())},_GetComponentStyleClasses:function(){return["oj-dvtbase"]},_GetChildStyleClasses:function(){var e={"oj-dvt-no-data-message":{path:"_statusMessageStyle",property:"TEXT"}};return e},_GetEventTypes:function(){return[]},_VerifyConnectedForSetup:function(){return!0},_ReleaseResources:function(){this._super(),this._renderNeeded=!0,this._DataProviderHandler.release(),this._TemplateHandler.release(),this._dataValuePromise={}},_destroy:function(){this._context.hideTooltips(),this._context.destroy(),this._context=null;var e=this.element[0].parentElement;e&&e._dvtcontext&&(e._dvtcontext=null),this._component.destroy&&this._component.destroy(),this._component=null,this._removeResizeListener(),this._CleanAllTemplates(),this.element.children().remove(),this.element.removeAttr("role").removeAttr("tabIndex").removeAttr("aria-activedescendant");for(var t=this._GetComponentStyleClasses(),n=0;n<t.length;n++)this.element.removeClass(t[n]);this._MakeReady(),this._TemplateHandler.release(),this._DataProviderHandler.release(),this._dataValuePromise={},this._super()},_setOptions:function(e,n){this._superApply(arguments),this._OptionChangeHandler(e);var r=this.options.trackResize;if("off"===r&&this._resizeListener?this._removeResizeListener():"off"===r||this._resizeListener||this._addResizeListener(),this._ProcessOptions(),!this._bUserDrivenChange){var i=!1,s=this._GetEventTypes(),o=["highlightedCategories","selection","dataCursorPosition","scrollPosition"];t.each(e,function(e){if(s.indexOf(e)<0&&o.indexOf(e)<0)return i=!0,!1}),i?this._Render():(void 0!==e.highlightedCategories&&this._component.highlight(e.highlightedCategories),void 0!==e.selection&&this._component.select(e.selection),void 0!==e.dataCursorPosition&&this._component.positionDataCursor&&this._component.positionDataCursor(e.dataCursorPosition),void 0!==e.scrollPosition&&this._component.scroll(e.scrollPosition))}},_CreateDvtComponent:function(e,t,n){return null},_HandleEvent:function(e){var n=e.type;"selection"===n?this._UserOptionChange("selection",e.selection):"categoryHide"===n||"categoryShow"===n?this._UserOptionChange("hiddenCategories",e.hiddenCategories):"categoryHighlight"===n?this._UserOptionChange("highlightedCategories",e.categories):"optionChange"===n?this._UserOptionChange(e.key,e.value,e.optionMetadata):"touchHoldRelease"===n&&this._GetContextMenu()?this._OpenContextMenu(t.Event(e.nativeEvent),"touch"):"dvtRender"===n?this._Render():"ready"===n&&0===this._numDeferredObjs&&this._MakeReady()},_addResizeListener:function(){this._resizeListener||(this._resizeListener=this._handleResize.bind(this),e.DomUtils.addResizeListener(this.element[0],this._resizeListener,250))},_removeResizeListener:function(){this._resizeListener&&(e.DomUtils.removeResizeListener(this.element[0],this._resizeListener),this._resizeListener=null)},_handleResize:function(e,t){var n=this.element.width(),r=this.element.height();(null==this._width||null==this._height||Math.abs(n-this._width)+Math.abs(r-this._height)>=5)&&this._Render(!0)},_LoadResources:function(){},_Render:function(e){this._context.hideTooltips(),this._NotReady(),!this._context.isReadyToRender()||this._renderNeeded&&e?(this._renderNeeded=!0,this._MakeReady()):(this._width=this._IsFlowingLayoutSupported()?null:this.element.width(),this._height=this._IsFlowingLayoutSupported()?null:this.element.height(),this._context.setDefaultFontFamily(this._referenceDiv.css("font-family")),this.options._width=this._width,this.options._height=this._height,this.options._locale=r.getLocale(),this._IsDraggable()&&this.element.attr("draggable",!0),this._ProcessStyles(),e?0===this._numDeferredObjs&&(this._renderCount+=1,this._RenderComponent(this._optionsCopy,e)):(this._renderCount+=1,this._resolveDeferredDataItems()&&this._RenderComponent(this._optionsCopy)),this._renderNeeded=!1)},_IsDraggable:function(){return!!this.options.dnd},_NotifyShown:function(){this._super(),this._notifyShownAttached()},_NotifyAttached:function(){this._super(),this._notifyShownAttached()},_NotifyDetached:function(){this._super(),this._notifyHiddenDetached()},_NotifyHidden:function(){this._super(),this._notifyHiddenDetached()},_notifyShownAttached:function(){this._renderNeeded&&this._Render()},_notifyHiddenDetached:function(){this._context.hideTooltips(),this._MakeReady()},_UserOptionChange:function(e,t,n){this._bUserDrivenChange=!0,this.option(e,t,{_context:{writeback:!0,optionMetadata:n,internalSet:!0,skipEvent:"_"===e.charAt(0)}}),this._bUserDrivenChange=!1},_NotifyContextMenuGesture:function(e,t,n){if("touch"!==n)if("keyboard"===n){var r=this.element[0].getBoundingClientRect(),i=this._component.getKeyboardFocus()?this._component.getKeyboardFocus().getBoundingClientRect():null,s=i?"left+"+(i.left+.5*i.width-r.left)+" top+"+(i.top+.5*i.height-r.top):"center";this._OpenContextMenu(t,n,{position:{at:s}})}else this._super(e,t,n)},_GetDvtComponent:function(e){var t=i.__GetWidgetConstructor(e)("instance");return t?t._component:null},_GetStringFromIndexPath:function(e){for(var t="",n=0;n<e.length;n++)t+="["+e[n]+"]";return t},_GetIndexPath:function(e){for(var t=[],n=0;e.indexOf("[",n)>0;){var r=e.indexOf("[",n)+1,i=e.indexOf("]",n);t.push(Number(e.substring(r,i))),n=i+1}return t},_GetFirstIndex:function(e){return Number(this._GetFirstBracketedString(e))},_GetFirstBracketedString:function(e){var t=e.indexOf("[")+1,n=e.indexOf("]");return e.substring(t,n)},_GetComponentDeferredDataPaths:function(){return{}},_GetComponentNoClonePaths:function(){if(!this._noClonePaths){this._noClonePaths={};var e=this,t=this._GetComponentDeferredDataPaths().root;t&&t.forEach(function(t){e._noClonePaths[t]=!0})}return this._noClonePaths},_resolveDeferredDataItems:function(){this._optionsCopy=a.JsonUtils.clone(this.options,null,this._GetComponentNoClonePaths()),this._numDeferredObjs=0,this._FixCustomRenderers(this._optionsCopy);for(var e=this,t=this._GetComponentDeferredDataPaths(),n=Object.keys(t),r=0;r<n.length;r++){var i=n[r];t[i].forEach(function(t){if("root"===i)e._resolveDeferredDataItem.bind(e)(e.options,e._optionsCopy,t);else{var n=e.options[i];if(n&&n instanceof Array)for(var r=0;r<n.length;r++)e._resolveDeferredDataItem.bind(e)(n[r],e._optionsCopy[i][r],t)}})}return 0===this._numDeferredObjs},_resolveDeferredDataItem:function(e,t,n){var r=new _(e,n),i=r.getValue(),s=this;if(i instanceof Function?i=Promise.resolve(i(this._GetDataContext(e))):this._IsCustomElement()&&Array.isArray(i)&&(i=Promise.resolve(i),r.setValue(i,!0)),i&&this._DataProviderHandler.isDataProvider(i)){var o=this._DataProviderHandler.isTreeDataProvider(i);i=s._dataValuePromise[n]||new Promise(function(e){var t=s._TemplateHandler.getTemplateEngine(),r=s._DataProviderHandler.fetchAllData(i,n,!0);Promise.all([t,r]).then(function(t){if(i===s._dataValuePromise[n]){var r=t[0],a=t[1],l=s._ProcessTemplates(n,a,r,o,null,!0);s._dataValuePromise[n]=null,e(l)}},function(){s._dataValuePromise[n]=null})}),s._dataValuePromise[n]=i}if(i instanceof Promise){var a=this._renderCount;i.then(function(e){var r=[n],i=[e];e.paths&&(r=e.paths,i=e.values),s._renderDeferredData(a,t,r,i)},function(){s._renderDeferredData(a,t,[n],[[]])}),this._numDeferredObjs+=1}},_renderDeferredData:function(e,t,n,r){if(e===this._renderCount){this._numDeferredObjs-=1;for(var i=0;i<n.length;i++)new _(t,n[i]).setValue(r[i],!0);0===this._numDeferredObjs&&(this._RenderComponent(this._optionsCopy),this._optionsCopy=null)}},_ClearDataProviderState:function(e){this._DataProviderHandler.clear(e),this._TemplateHandler.release(e),this._dataValuePromise[e]=null},_OptionChangeHandler:function(e){for(var t=Object.keys(this._GetSimpleDataProviderConfigs()),n=0;n<t.length;n++){var r=t[n];Object.prototype.hasOwnProperty.call(e,r)&&this._ClearDataProviderState(r)}},getElementPropertyNames:function(t){var n=e.CustomElementBridge.getMetadata(t).properties,r=Object.keys(n).filter(function(e){return!n[e]._eventListener}),i=new Set;return r.forEach(function(e){i.add(e)}),i},_ProcessTemplates:function(e,t,n,r,i,s,o){return this._TemplateHandler.processTemplates(e,t,n,r,i,s,o)},_GetSimpleDataProviderConfigs:function(){return{}},_GetDPEventHandler:function(){return function(e){"notReady"===e.type?this._NotReady():"dataUpdated"===e.type?this._Render():"clearState"===e.type?this._ClearDataProviderState(e.detail.dataProperty):"reset"===e.type&&this._TemplateHandler.clear(e.detail.dataProperty,!0)}.bind(this)},_getFetchDataHandler:function(e){var t=this._GetSimpleDataProviderConfigs()[e].resultPath;return function(n,r,i,s){var o=this._DataProviderHandler.fetchChildrenData(e,n,s,r),a=this._TemplateHandler.getTemplateEngine();return Promise.all([o,a]).then(function(n){var r=this._ProcessTemplates(e,{data:n[0].data,keys:n[0].keys},n[1],!0,s,!1,!0).values[0];i&&(i[t]=r)}.bind(this))}.bind(this)},_RenderComponent:function(e,t){if(this._context.isReadyToRender()){this._CleanAllTemplates();var n=this._IsFlowingLayoutSupported()&&this._resizeListener;n&&this._removeResizeListener(),this._component.render(t?null:e,this._width,this._height),n&&this._addResizeListener(),this.element.attr("role")?this.element[0].hasAttribute("tabindex")||this.element.attr("tabindex",0):this.element.attr("tabindex",null)}else this._renderNeeded=!0,this._MakeReady()},_GetDataContext:function(e){return{}},_IsFlowingLayoutSupported:function(){return!1},whenReady:function(){if(this._ready)return Promise.resolve(!0);if(!this._promise){var e=this;this._promise=new Promise(function(t){e._promiseResolve=t})}return this._promise},_NotReady:function(){if(this._ready=!1,0===this._numDeferredObjs&&!this._readyResolveFunc){var e=n.getContext(this.element[0]).getBusyContext(),t={description:"The component identified by '"+this.element.attr("id")+"' is being loaded."};this._readyResolveFunc=e.addBusyState(t)}},_MakeReady:function(){this._promiseResolve&&(this._promiseResolve(!0),this._promiseResolve=null),this._ready=!0,this._promise=null,this._readyResolveFunc&&(this._readyResolveFunc(),this._readyResolveFunc=null)},_ProcessOptions:function(){var e=this.options.tooltip;e&&e._renderer&&(this.options.tooltip={renderer:this._GetTemplateRenderer(e._renderer,"tooltip")})},_WrapCustomElementRenderer:function(e){var t=this;return function(n){n._dvtcontext=t._context;var r=e(n);if(n._templateName&&n._templateCleanup&&t._AddTemplate(n._templateName,n._templateCleanup),r&&!0!==r.preventDefault&&r.insert){var i=r.insert;return i.classList&&i.classList.contains("oj-dvtbase")?t._GetDvtComponent(i):i}return null}},_FixCustomRenderers:function(e){if(this._IsCustomElement())for(var t=this._GetComponentRendererOptions(),n=0;n<t.length;n++){var r=t[n].path,i=t[n].slot,s=this._TemplateHandler.getTemplates();if(i&&s[i]&&s[i][0])this._ProcessInlineTemplateRenderer(e,r,s[i][0],i);else{var o=new _(e,r),a=o.getValue();a&&o.setValue(this._WrapCustomElementRenderer(a),!0)}}},_GetComponentRendererOptions:function(){return[{path:"tooltip/renderer",slot:"tooltipTemplate"}]},_GetTemplateRenderer:function(e,n){var r=this;return function(i){var s=document.createElement("div");s.style.display="none",e({parentElement:s,context:i});var o=s.children[0];return o?(r._AddTemplate(n,function(){t(s).remove()}),s.removeChild(o),t(s).remove(),o):null}},_GetTemplateDataRenderer:function(e,n){var r=this;return function(i){var s=document.createElement("div");s.style.display="none",s._dvtcontext=r._context,r.element.append(s),e({parentElement:s,data:i.data});var o=s.children[0];return o?(r._AddTemplate(n,function(){t(s).remove()}),"http://www.w3.org/2000/svg"===o.namespaceURI?(s.removeChild(o),t(s).remove(),o):r._GetDvtComponent(o)):null}},_ProcessInlineTemplateRenderer:function(e,t,n,r){var i=this._renderCount;this._numDeferredObjs+=1,this._TemplateHandler.getTemplateEngine().then(function(s){var o=function(e){var t=s.execute(this.element[0],n,e);return t&&t.length>0?(Object.defineProperty(e,"_templateCleanup",{value:function(){t.forEach(function(e){s.clean(e)})},enumerable:!1}),Object.defineProperty(e,"_templateName",{value:r,enumerable:!1}),{insert:t}):{preventDefault:!0}}.bind(this);this._renderDeferredData(i,e,[t],[this._WrapCustomElementRenderer(o)])}.bind(this))},_CleanAllTemplates:function(){for(var e=Object.keys(this._templateMap),t=0;t<e.length;t++){var n=e[t];this._CleanTemplate(n)}this._templateMap={}},_CleanTemplate:function(e){if(this._templateMap[e]){for(var t=this._templateMap[e].length,n=0;n<t;n++)this._templateMap[e][n]();this._templateMap[e]=[]}},_AddTemplate:function(e,t){this._templateMap[e]||(this._templateMap[e]=[]),this._templateMap[e].push(t)},_CompareOptionValues:function(t,n,r){switch(t){case"hiddenCategories":case"highlightedCategories":case"selection":return e.Object.compareValues(n,r);default:return this._super(t,n,r)}}},!0),u});