/**
 * @license
 * Copyright (c) 2014, 2019, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";define(["ojs/ojcore","jquery","ojs/ojset","ojs/ojeventtarget","ojs/ojdataprovider","ojs/ojkeyset","ojs/ojobservable","ojs/ojmap"],function(t,e,i,r,a,n,s,h){var o=function(){function e(t,e){this.dataProvider=t,this.options=e,this._DATAPROVIDER="dataprovider",this._EXPANDED="expanded",this._KEY="key",this._PARENTKEY="parentKey",this._INDEXFROMPARENT="indexFromParent",this._TREEDEPTH="treeDepth",this._ISLEAF="isLeaf",this._KEYS="keys",this._OFFSET="offset",this._SIZE="size",this._DONE="done",this._VALUE="value",this._DATA="data",this._REFRESH="refresh",this._MUTATE="mutate",this._SORTCRITERIA="sortCriteria",this._FILTERCRITERION="filterCriterion",this._ATTRIBUTES="attributes",this._METADATA="metadata",this._RESULTS="results",this._FETCHPARAMETERS="fetchParameters",this._CONTAINSPARAMETERS="containsParameters",this._CONTAINSKEYS="containsKeys",this._FETCHBYKEYS="fetchByKeys",this._FETCHBYOFFSET="fetchByOffset",this._AFTERKEYS="afterKeys",this._ADDBEFOREKEYS="addBeforeKeys",this._ADD="add",this._REMOVE="remove",this._UPDATE="update",this._INDEXES="indexes",this._ADDEVENTLISTENER="addEventListener",this.AsyncIterable=function(){return function(t,e){this._parent=t,this._asyncIterator=e,this[Symbol.asyncIterator]=function(){return this._asyncIterator}}}(),this.AsyncIterator=function(){function t(t,e,i){this._parent=t,this._nextFunc=e,this._params=i}return t.prototype.next=function(){var t=this._nextFunc(this._params);return Promise.resolve(t)},t}(),this.AsyncIteratorResult=function(){return function(t,e,i){this._parent=t,this.value=e,this.done=i,this[t._VALUE]=e,this[t._DONE]=i}}(),this.Item=function(){return function(t,e,i){this._parent=t,this.metadata=e,this.data=i,this[t._METADATA]=e,this[t._DATA]=i}}(),this.FlattenedTreeItemMetadata=function(){return function(t,e,i,r,a,n){this._parent=t,this.key=e,this.parentKey=i,this.indexFromParent=r,this.treeDepth=a,this.isLeaf=n,this[t._KEY]=e,this[t._PARENTKEY]=i,this[t._INDEXFROMPARENT]=r,this[t._TREEDEPTH]=a,this[t._ISLEAF]=n}}(),this.FetchListParameters=function(){return function(t,e,i,r){this._parent=t,this.size=e,this.sortCriteria=i,this.filterCriterion=r,this[t._SIZE]=e,this[t._SORTCRITERIA]=i,this[t._FILTERCRITERION]=r}}(),this.FetchListResult=function(){return function(t,e,i,r){this._parent=t,this.fetchParameters=e,this.data=i,this.metadata=r,this[t._FETCHPARAMETERS]=e,this[t._DATA]=i,this[t._METADATA]=r}}(),this.FetchByOffsetParameters=function(){return function(t,e,i,r,a,n){this._parent=t,this.offset=e,this.size=i,this.sortCriteria=r,this.filterCriterion=a,this.attributes=n,this[t._OFFSET]=e,this[t._SIZE]=i,this[t._SORTCRITERIA]=r,this[t._FILTERCRITERION]=a,this[t._ATTRIBUTES]=n}}(),this.FetchByOffsetResults=function(){return function(t,e,i,r){this._parent=t,this.fetchParameters=e,this.results=i,this.done=r,this[t._FETCHPARAMETERS]=e,this[t._RESULTS]=i,this[t._DONE]=r}}(),this.FetchByKeysResults=function(){return function(t,e,i){this._parent=t,this.fetchParameters=e,this.results=i,this[t._FETCHPARAMETERS]=e,this[t._RESULTS]=i}}(),this.ContainsKeysResults=function(){return function(t,e,i){this._parent=t,this.containsParameters=e,this.results=i,this[t._CONTAINSPARAMETERS]=e,this[t._RESULTS]=i}}(),this.DataProviderMutationEventDetail=function(){return function(t,e,i,r){this._parent=t,this.add=e,this.remove=i,this.update=r,this[t._ADD]=e,this[t._REMOVE]=i,this[t._UPDATE]=r}}(),this.DataProviderOperationEventDetail=function(){return function(t,e,i,r,a){this._parent=t,this.keys=e,this.metadata=i,this.data=r,this.indexes=a,this[t._KEYS]=e,this[t._METADATA]=i,this[t._DATA]=r,this[t._INDEXES]=a}}(),this.DataProviderAddOperationEventDetail=function(){return function(t,e,i,r,a,n,s){this._parent=t,this.keys=e,this.afterKeys=i,this.addBeforeKeys=r,this.metadata=a,this.data=n,this.indexes=s,this[t._KEYS]=e,this[t._AFTERKEYS]=i,this[t._ADDBEFOREKEYS]=r,this[t._METADATA]=a,this[t._DATA]=n,this[t._INDEXES]=s}}();null==this.options&&(this.options={}),this.options.expanded||(this.options.expanded=new n.ExpandedKeySet([])),this._expandedObservable=new s.BehaviorSubject(this._getExpandedObservableValue(this.options.expanded,Promise.resolve())),this.dataProvider.addEventListener("mutate",this._handleUndelryingMutation.bind(this)),this.dataProvider.addEventListener("refresh",this._handleUndelryingRefresh.bind(this)),this._cache=[],this._iterators=new h,this._done=!1}return e.prototype._handleUndelryingMutation=function(e){var i=this,r=null,a=null,n=null,s=e.detail.add;if(s&&s.data&&s.data.length){var h=[],o=[],d=[],u=[],c=[],f=new Set,_=new Set;s.parentKeys.forEach(function(t,e){if(null===t||i._isExpanded(t)&&i._getItemByKey(t)){var r=void 0;if(null!=s.addBeforeKeys)r=i._getItemIndexByKey(s.addBeforeKeys[e])-1;else if(null!=s.indexes){var a=i._getItemIndexByKey(t);r=-1===a?s.indexes[e]:a+s.indexes[e]}else r=i._getItemIndexByKey(i._getLastItemByParentKey(t).metadata.key)+1;var n=i._updateItemMetadata(new i.Item(i,s.metadata[e],s.data[e]),t,s.indexes[e]);i._spliceItemToCache(n,r),o.push(n.data),h.push(n.metadata),d.push(r),u.push(s.addBeforeKeys[e]),c.push(t),f.add(s.addBeforeKeys[e]),_.add(s.metadata[e].key),i._incrementIteratorOffset()}}),r=new i.DataProviderAddOperationEventDetail(i,_,f,u,h,o,d)}var l=e.detail.remove;if(l&&l.data&&l.data.length){var p=l.metadata.map(function(t){return t.key}),E=[],y=[],m=[],v=new Set;p.forEach(function(t){var e=i._getLocalDescendentCount(t)+1,r=i._getItemIndexByKey(t);i._cache.splice(r,e).forEach(function(t,e){v.add(t.metadata.key),E.push(t.metadata),y.push(t.data),m.push(r+e),i._decrementIteratorOffset(r)})}),a=new i.DataProviderOperationEventDetail(i,v,E,y,m)}var I=e.detail.update;if(I&&I.data&&I.data.length){var T=[],R=[],O=[],A=new Set;I.metadata.forEach(function(t,e){var r=i._getItemByKey(t.key);if(null!=r){var a=i._getItemIndexByKey(t.key),n=I.data[e],s=new i.FlattenedTreeItemMetadata(i,r.metadata.key,r.metadata.parentKey,r.metadata.indexFromParent,r.metadata.treeDepth,null===i.getChildDataProvider(r.metadata.key));i._cache.splice(a,1,new i.Item(i,s,n)),A.add(r.metadata.key),T.push(r.metadata),R.push(r.data),O.push(a)}}),n=new i.DataProviderOperationEventDetail(i,A,T,R,O)}var S=new i.DataProviderMutationEventDetail(i,r,a,n);i.dispatchEvent(new t.DataProviderMutationEvent(S))},e.prototype._handleUndelryingRefresh=function(){this._clearCache(),this.dispatchEvent(new t.DataProviderRefreshEvent)},e.prototype._getExpandedObservableValue=function(t,e){return{value:t,completionPromise:e}},e.prototype.getChildDataProvider=function(t,e){return this.dataProvider.getChildDataProvider(t,e)},e.prototype.containsKeys=function(t){return this.dataProvider.containsKeys(t)},e.prototype.fetchByKeys=function(t){var e=this;return this.dataProvider.fetchByKeys(t).then(function(t){var i=new h;return t.results.forEach(function(t,r){var a=e._getItemByKey(r);a?i.set(r,a):i.set(r,t)}),new e.FetchByKeysResults(e,t.fetchParameters,i)})},e.prototype.fetchByOffset=function(t){var e=this,i=null!=t?t[this._SIZE]:-1,r=null!=t?t[this._SORTCRITERIA]:null,a=null!=t&&t[this._OFFSET]>0?t[this._OFFSET]:0,n=null!=t?t[this._FILTERCRITERION]:null,s=null!=t?t[this._ATTRIBUTES]:null;if(t=new e.FetchByOffsetParameters(e,a,i,r,n,s),e._isSameCriteria(r,n)){if(e._checkCacheByOffset(t))return new Promise(function(i){i(e._getFetchByOffsetResultsFromCache(t))})}else e._clearCache(),e._currentSortCriteria=r,e._currentFilterCriteria=n;return e._fetchByOffset(t)},e.prototype.fetchFirst=function(t){var e=this,i=null!=t?t[this._SIZE]:-1,r=null!=t?t[this._SORTCRITERIA]:null,a=null!=t?t[this._FILTERCRITERION]:null,n=null!=t?t[this._ATTRIBUTES]:null;e._isSameCriteria(r,a)||(e._currentSortCriteria=r,e._currentFilterCriteria=a,e._clearCache());var s=new e.AsyncIterable(e,new e.AsyncIterator(e,function(){var t=e._iterators.get(s),h=new e.FetchByOffsetParameters(e,t,i,r,a,n);return e.fetchByOffset(h).then(function(i){var r=i.results,a=r.map(function(t){return t[e._DATA]}),n=r.map(function(t){return t[e._METADATA]}),o=0===a.length||i[e._DONE];return e._iterators.set(s,t+n.length),Promise.resolve(new e.AsyncIteratorResult(e,new e.FetchListResult(e,h,a,n),o))})},t));return e._iterators.set(s,0),s},e.prototype.getCapability=function(t){return this.dataProvider.getCapability(t)},e.prototype.getTotalSize=function(){return Promise.resolve(-1)},e.prototype.isEmpty=function(){return this.dataProvider.isEmpty()},e.prototype._isSameCriteria=function(t,e){if(t){if(!this._currentSortCriteria||t[0].attribute!=this._currentSortCriteria[0].attribute||t[0].direction!=this._currentSortCriteria[0].direction)return!1}else if(this._currentSortCriteria)return!1;if(e){if(!this._currentFilterCriteria||e[0].op!=this._currentFilterCriteria[0].op||e[0].filter!=this._currentFilterCriteria[0].filter)return!1}else if(this._currentFilterCriteria)return!1;return!0},e.prototype._checkCacheByOffset=function(t){return-1===t[this._SIZE]&&!0===this._done||this._cache.length>=t[this._OFFSET]+t[this._SIZE]&&-1!==t[this._SIZE]},e.prototype._getFetchByOffsetResultsFromCache=function(t){var e=this._cache.slice(t[this._OFFSET],-1===t[this._SIZE]?void 0:t[this._OFFSET]+t[this._SIZE]);return new this.FetchByOffsetResults(this,t,e,!1)},e.prototype._clearCache=function(){this._cache=[]},e.prototype._fetchByOffset=function(t){if(0===this._cache.length){var e=-1===t[this._SIZE]?-1:t[this._OFFSET]+t[this._SIZE],i=new this.FetchByOffsetParameters(this,0,e,t[this._SORTCRITERIA],t[this._FILTERCRITERION],t[this._ATTRIBUTES]);return this._fetchChildrenByOffsetFromDataProvider(i,this.dataProvider,null,t)}var r=this._getLastEntry(),a=r.metadata.key,n=0;!r.metadata.isLeaf&&this._isExpanded(a)||(a=r.metadata.parentKey,n=r.metadata.indexFromParent+1);var s=null===a?this.dataProvider:this.getChildDataProvider(a),h=this._getRemainingSize(t),o=new this.FetchByOffsetParameters(this,n,h,t[this._SORTCRITERIA],t[this._FILTERCRITERION],t[this._ATTRIBUTES]);return this._fetchChildrenByOffsetFromAncestors(o,s,a,t)},e.prototype._fetchChildrenByOffsetFromAncestors=function(t,e,i,r){var a=this,n=function(e,s){var h=s.results;if(a._checkCacheByOffset(r)||s[a._DONE]||null===i)return Promise.resolve();var o=a._getItemByKey(e),d=o.metadata.parentKey,u=o.metadata.indexFromParent,c=null===d?a.dataProvider:a.getChildDataProvider(d),f=new a.FetchByOffsetParameters(a,u+1,a._getRemainingSize(r),t[a._SORTCRITERIA],t[a._FILTERCRITERION],t[a._ATTRIBUTES]);return a._fetchChildrenByOffsetFromDataProvider(f,c,d,r).then(n.bind(a,d,new a.FetchByOffsetResults(a,t,h,!1)))};return a._fetchChildrenByOffsetFromDataProvider(t,e,i,r).then(n.bind(a,i)).then(a._getFetchByOffsetResultsFromCache.bind(a,r))},e.prototype._fetchChildrenByOffsetFromDataProvider=function(t,e,i,r){var a=this,n=function(e){var s=e.results;if(0===s.length||a._checkCacheByOffset(r))return Promise.resolve();var h=s.shift(),o=a._updateItemMetadata(h,i);if(a._pushItemToCache(o,i),a._isExpanded(o.metadata.key)){var d=a.getChildDataProvider(o.metadata.key);if(null!=d){var u=new a.FetchByOffsetParameters(a,0,a._getRemainingSize(r),t[a._SORTCRITERIA],t[a._FILTERCRITERION],t[a._ATTRIBUTES]);return a._fetchChildrenByOffsetFromDataProvider(u,d,o.metadata.key,r).then(n.bind(a,new a.FetchByOffsetResults(a,t,s,!1)))}}return n(new a.FetchByOffsetResults(a,t,s,!1))};return e.fetchByOffset(t).then(n).then(a._getFetchByOffsetResultsFromCache.bind(a,r))},e.prototype._sequence=function(t,e){return t.reduce(function(t,i){return t.then(function(){return e(i)})},Promise.resolve())},e.prototype._getRemainingSize=function(t){return-1===t[this._SIZE]?-1:t[this._SIZE]+t[this._OFFSET]-this._cache.length},e.prototype._getExpandedKeysFromResults=function(t){var e=this;return t.map(function(t){return t.metadata.key}).filter(function(t){return e._isExpanded(t)})},e.prototype._isExpanded=function(t){return this.options[this._EXPANDED].has(t)},e.prototype.setExpanded=function(e){var i=this,r=i.createOptimizedKeySet(),a=i.createOptimizedKeySet();i._oldExpanded=i.options.expanded,i.options.expanded=e;var n=i._oldExpanded,s=i.options.expanded;if(s.isAddAll()||n.isAddAll()){if(!s.isAddAll()||!n.isAddAll())return i._clearCache(),i.dispatchEvent(new t.DataProviderRefreshEvent),void i.getExpandedObservable().next(i._getExpandedObservableValue(this.options.expanded,Promise.resolve()));var h=s.deletedValues(),o=n.deletedValues();h.forEach(function(t){n.has(t)&&a.add(t)}),o.forEach(function(t){s.has(t)&&r.add(t)})}else{var d=s.values(),u=n.values();d.forEach(function(t){n.has(t)||r.add(t)}),u.forEach(function(t){s.has(t)||a.add(t)})}var c=i._expand(r),f=i._collapse(a),_=new Promise(function(e){c.then(function(r){var a=new i.DataProviderMutationEventDetail(i,r,f,null);i.dispatchEvent(new t.DataProviderMutationEvent(a)),e()})});i.getExpandedObservable().next(i._getExpandedObservableValue(this.options.expanded,_))},e.prototype.getExpandedObservable=function(){return this._expandedObservable},e.prototype._isExpandAll=function(){return this.options[this._EXPANDED].isAddAll()},e.prototype._pushItemToCache=function(t,e){var i=this._getLastItemByParentKey(e),r=null==i?this._getItemIndexByKey(e):this._getItemIndexByKey(i.metadata.key)+this._getLocalDescendentCount(i.metadata.key);this._cache.splice(r+1,0,t)},e.prototype._spliceItemToCache=function(t,e){this._cache.splice(e+1,0,t)},e.prototype._updateItemMetadata=function(t,e,i){var r=0,a=this._getLastItemByParentKey(e),n=null==a?0:a.metadata[this._INDEXFROMPARENT]+1;(null!=i&&(n=i),null!=e)&&(r=this._getItemByKey(e).metadata.treeDepth+1);return new this.Item(this,new this.FlattenedTreeItemMetadata(this,t.metadata.key,e,n,r,null===this.getChildDataProvider(t.metadata.key)),t.data)},e.prototype._getItemByKey=function(t){var e=null;return this._cache.some(function(i){if(i.metadata.key===t)return e=i,!0}),e},e.prototype._getItemIndexByKey=function(t){var e=-1;return this._cache.some(function(i,r){if(i.metadata.key===t)return e=r,!0}),e},e.prototype._getLastEntry=function(){return this._cache[this._getLastIndex()]},e.prototype._getEntry=function(t){return this._cache[t]},e.prototype._getLastItemByParentKey=function(t){var e=null;return this._cache.slice().reverse().some(function(i){if(i.metadata.parentKey===t)return e=i,!0}),e},e.prototype._getLastIndex=function(){return this._cache.length-1},e.prototype._getLocalDescendentCount=function(t){var e=this._getItemByKey(t),i=0;if(null!=e)for(var r=this._getItemIndexByKey(t),a=e.metadata.treeDepth,n=this._getLastIndex(),s=r+1;s<=n;s++){if(!(this._getEntry(s).metadata.treeDepth>a))return i;i+=1}return i},e.prototype._expand=function(t){var e=[],i=this;return t.forEach(function(t){var r=new i.FetchByOffsetParameters(i,0,-1,i._currentSortCriteria,i._currentFilterCriteria,null),a=i.getChildDataProvider(t);e.push(i._fetchChildrenByOffsetFromDataProvider(r,a,t,r))}),Promise.all(e).then(function(){var e=i.createOptimizedKeySet(),r=i.createOptimizedKeySet(),a=[],n=[],s=[];return t.forEach(function(t){var h=i._getLocalDescendentCount(t);if(h>0){var o=i._getItemIndexByKey(t)+1,d=null;i._cache.slice(o,o+h).forEach(function(t,h){e.add(t.metadata.key),r.add(d),a.push(t.metadata),n.push(t.data),s.push(o+h),d=t.metadata.key,i._incrementIteratorOffset()})}}),new i.DataProviderAddOperationEventDetail(i,e,r,[],a,n,s)})},e.prototype._collapse=function(t){var e=this,i=[],r=[],a=[],n=e.createOptimizedKeySet();return t.forEach(function(t){var s=e._getLocalDescendentCount(t);if(s>0){var h=e._getItemIndexByKey(t);e._cache.splice(h+1,s).forEach(function(t,s){n.add(t.metadata.key),i.push(t.metadata),r.push(t.data),a.push(h+s+1),e._decrementIteratorOffset(h+1)})}}),new e.DataProviderOperationEventDetail(e,n,i,r,a)},e.prototype._decrementIteratorOffset=function(t){var e=this;e._iterators.forEach(function(i,r){t<i&&e._iterators.set(r,i-1)})},e.prototype._incrementIteratorOffset=function(){var t=this;t._iterators.forEach(function(e,i){t._iterators.set(i,e+1)})},e.prototype.createOptimizedKeySet=function(t){return this.dataProvider.createOptimizedKeySet?this.dataProvider.createOptimizedKeySet(t):new i(t)},e.prototype.createOptimizedKeyMap=function(t){if(this.dataProvider.createOptimizedKeyMap)return this.dataProvider.createOptimizedKeyMap(t);if(t){var e=new h;return t.forEach(function(t,i){e.set(i,t)}),e}return new h},e}();return t.FlattenedTreeDataProviderView=o,t.FlattenedTreeDataProviderView=o,t.EventTargetMixin.applyMixin(o),o});