/**
 * @license
 * Copyright (c) 2014, 2019, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
define(["ojs/ojcore","jquery","ojs/ojconfig","ojs/ojtranslation","ojL10n!ojtranslations/nls/localeElements","ojs/ojlocaledata","ojs/ojvalidation-base","ojs/ojlogger"],function(e,t,r,n,a,i,o,s){"use strict";var l;e.DateTimeConverter=function(e){this.Init(e)},e.Object.createSubclass(e.DateTimeConverter,e.Converter,"oj.DateTimeConverter"),e.DateTimeConverter.prototype.Init=function(t){e.DateTimeConverter.superclass.Init.call(this,t)},e.DateTimeConverter.prototype.format=function(t){return e.DateTimeConverter.superclass.format.call(this,t)},e.DateTimeConverter.prototype.isHourInDaySet=function(){e.Assert.failedInAbstractFunction()},e.DateTimeConverter.prototype.isHourInAMPMSet=function(){e.Assert.failedInAbstractFunction()},e.DateTimeConverter.prototype.isMinuteSet=function(){e.Assert.failedInAbstractFunction()},e.DateTimeConverter.prototype.isSecondSet=function(){e.Assert.failedInAbstractFunction()},e.DateTimeConverter.prototype.isMilliSecondSet=function(){e.Assert.failedInAbstractFunction()},e.DateTimeConverter.prototype.isYearSet=function(){e.Assert.failedInAbstractFunction()},e.DateTimeConverter.prototype.isMonthSet=function(){e.Assert.failedInAbstractFunction()},e.DateTimeConverter.prototype.isDaySet=function(){e.Assert.failedInAbstractFunction()},e.DateTimeConverter.prototype.isDayNameSet=function(){e.Assert.failedInAbstractFunction()},e.DateTimeConverter.prototype.calculateWeek=function(t){e.Assert.failedInAbstractFunction()},e.DateTimeConverter.prototype.parse=function(t){return e.DateTimeConverter.superclass.parse.call(this,t)},e.DateTimeConverter.prototype.compareISODates=function(t,r){return e.DateTimeConverter.superclass.compareISODates.call(this,t,r)},e.DateTimeConverter.prototype.getAvailableTimeZones=function(){return e.DateTimeConverter.superclass.getAvailableTimeZones.call(this)},e.DateRestrictionValidator=function(e){this.Init(e)},e.Object.createSubclass(e.DateRestrictionValidator,e.Validator,"oj.DateRestrictionValidator"),e.DateRestrictionValidator.prototype.Init=function(t){e.DateRestrictionValidator.superclass.Init.call(this),this._dayFormatter=t.dayFormatter,this._converter=o.IntlConverterUtils.getConverterInstance(t.converter),t&&(this._messageSummary=t.messageSummary||null,this._messageDetail=t.messageDetail||null)},e.DateRestrictionValidator.prototype._inDisabled=function(e){var t=this._dayFormatter;if(t){var r=t({fullYear:e.fullYear,month:e.month+1,date:e.date});return r&&r.disabled}return!1},e.DateRestrictionValidator.prototype.validate=function(t){var r="",a="",i=n,s=this._messageSummary,l=this._messageDetail,d=t?this._converter.format(t):t,u=t?o.IntlConverterUtils._dateTime(t,["fullYear","month","date"],!0):null;if(null===t)return t;if(this._inDisabled(u))throw r=s?i.applyParameters(s,{value:d}):i.getTranslatedString("oj-validator.restriction.date.messageSummary",{value:d}),a=l?i.applyParameters(l,{value:d}):i.getTranslatedString("oj-validator.restriction.date.messageDetail",{value:d}),new e.ValidatorError(r,a);return t},e.DateRestrictionValidator.prototype.getHint=function(){return null},e.DateTimeRangeValidator=function(e){this.Init(e)},e.Object.createSubclass(e.DateTimeRangeValidator,e.Validator,"oj.DateTimeRangeValidator"),e.DateTimeRangeValidator.prototype.Init=function(t){if(e.DateTimeRangeValidator.superclass.Init.call(this),this._converter=o.IntlConverterUtils.getConverterInstance(t.converter),!this._converter)throw new Error("oj.DateTimeRangeValidator missing a converter option");this._min=t.min||null,this._max=t.max||null,this._translationKey=t.translationKey||"datetime",t&&(this._hint=t.hint||{},this._customMessageSummary=t.messageSummary||{},this._customMessageDetail=t.messageDetail||{}),n.getTranslatedString("oj-validator.range."+this._translationKey+".messageSummary.rangeOverflow")||(this._translationKey="datetime")},e.DateTimeRangeValidator.prototype.validate=function(t){var r,a,i=this._customMessageSummary,s=this._customMessageDetail,l=s.rangeOverflow,d=s.rangeUnderflow,u=i.rangeOverflow,m=i.rangeUnderflow,c=o.IntlConverterUtils,v=this._min,g=this._max,h="",f="",p=n,y=null,I=t&&this._converter.format(t);if(null===t)return t;if(I=this._converter.format(t),v&&(v=c._minMaxIsoString(v,t),r=this._converter?this._converter.format(v):v),g&&(g=c._minMaxIsoString(g,t),a=this._converter?this._converter.format(g):g),null!==v&&null!==g){if(this._converter.compareISODates(t,v)>=0&&this._converter.compareISODates(t,g)<=0||this._converter.compareISODates(v,g)>0)return t}else if(null!==v){if(this._converter.compareISODates(t,v)>=0)return t}else if(null===g||this._converter.compareISODates(t,g)<=0)return t;throw null!==g&&this._converter.compareISODates(t,g)>0?(y={value:I,max:a},h=u||p.getTranslatedString("oj-validator.range."+this._translationKey+".messageSummary.rangeOverflow"),f=l?p.applyParameters(l,y):p.getTranslatedString("oj-validator.range."+this._translationKey+".messageDetail.rangeOverflow",y)):null!==v&&this._converter.compareISODates(t,v)<0&&(y={value:I,min:r},h=m||p.getTranslatedString("oj-validator.range."+this._translationKey+".messageSummary.rangeUnderflow"),f=d?p.applyParameters(d,y):p.getTranslatedString("oj-validator.range."+this._translationKey+".messageDetail.rangeUnderflow",y)),new e.ValidatorError(h,f)},e.DateTimeRangeValidator.prototype.getHint=function(){var e=null,t=this._hint,r=t.inRange,a=t.min,i=t.max,o=this._min,s=this._max,l=o&&this._converter?this._converter.format(o):o,d=s&&this._converter?this._converter.format(s):s,u=null,m=n;return null!==o&&null!==s?(u={min:l,max:d},e=r?m.applyParameters(r,u):m.getTranslatedString("oj-validator.range."+this._translationKey+".hint.inRange",u)):null!==o?(u={min:l},e=a?m.applyParameters(a,u):m.getTranslatedString("oj-validator.range."+this._translationKey+".hint.min",u)):null!==s&&(u={max:d},e=i?m.applyParameters(i,u):m.getTranslatedString("oj-validator.range."+this._translationKey+".hint.max",u)),e},e.DateTimeConverterFactory=function(){return{createConverter:function(t){return function(t){return new e.IntlDateTimeConverter(t)}(t)}}}(),o.Validation.__registerDefaultConverterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME,e.DateTimeConverterFactory),e.DateTimeRangeValidatorFactory=function(){return{createValidator:function(t){return function(t){return new e.DateTimeRangeValidator(t)}(t)}}}(),o.Validation.__registerDefaultValidatorFactory(e.ValidatorFactory.VALIDATOR_TYPE_DATETIMERANGE,e.DateTimeRangeValidatorFactory),e.DateRestrictionValidatorFactory=function(){return{createValidator:function(t){return function(t){return new e.DateRestrictionValidator(t)}(t)}}}(),o.Validation.__registerDefaultValidatorFactory(e.ValidatorFactory.VALIDATOR_TYPE_DATERESTRICTION,e.DateRestrictionValidatorFactory),e.IntlDateTimeConverter=function(e){this.Init(e)},e.Object.createSubclass(e.IntlDateTimeConverter,e.DateTimeConverter,"oj.IntlDateTimeConverter"),e.IntlDateTimeConverter._DEFAULT_DATE=new Date(1998,10,29,15,45,31),e.IntlDateTimeConverter.prototype.Init=function(t){e.IntlDateTimeConverter.superclass.Init.call(this,t)},e.IntlDateTimeConverter.prototype._getWrapped=function(){return this._wrapped||(this._wrapped=l.getInstance()),this._wrapped},e.IntlDateTimeConverter.prototype.format=function(t){var n=i.__getBundle(),a=r.getLocale(),o=this.resolvedOptions();if(null==t||"string"==typeof t&&0===e.StringUtils.trim(""+t).length)return e.IntlConverterUtils.__getNullFormattedValue();try{return this._getWrapped().format(t,n,o,a)}catch(e){throw this._processConverterError(e,t)}},e.IntlDateTimeConverter.prototype.formatRelative=function(e,t){var n=i.__getBundle(),a=r.getLocale();try{return this._getWrapped().formatRelative(e,n,t,a)}catch(t){throw this._processConverterError(t,e)}},e.IntlDateTimeConverter.prototype.getHint=function(){return null},e.IntlDateTimeConverter.prototype._getHintValue=function(){var t="";try{t=this.format(o.IntlConverterUtils.dateToLocalIso(e.IntlDateTimeConverter._DEFAULT_DATE))}catch(r){r instanceof e.ConverterError&&(t="")}return t},e.IntlDateTimeConverter.prototype.getOptions=function(){return e.IntlDateTimeConverter.superclass.getOptions.call(this)},e.IntlDateTimeConverter.prototype.resolvedOptions=function(){var e,t=r.getLocale(),n=this.getOptions();if(t!==this._locale||!this._resolvedOptions){e=i.__getBundle();try{if(!e)return s.error("locale bundle for the current locale %s is unavailable",t),{};this._resolvedOptions=this._getWrapped().resolvedOptions(e,n,t),this._locale=t}catch(e){throw this._processConverterError(e)}}return this._resolvedOptions},e.IntlDateTimeConverter.prototype.isHourInDaySet=function(){var e=this.resolvedOptions(),t=e.hour,r=e.hour12;return!(!t||r)},e.IntlDateTimeConverter.prototype.isHourInAMPMSet=function(){var e=this.resolvedOptions(),t=e.hour,r=e.hour12;return!(!t||!r)},e.IntlDateTimeConverter.prototype.isMinuteSet=function(){return this._isOptionSet("minute")},e.IntlDateTimeConverter.prototype.isSecondSet=function(){return this._isOptionSet("second")},e.IntlDateTimeConverter.prototype.isMilliSecondSet=function(){return this._isOptionSet("millisecond")},e.IntlDateTimeConverter.prototype.isYearSet=function(){return this._isOptionSet("year")},e.IntlDateTimeConverter.prototype.isMonthSet=function(){return this._isOptionSet("month")},e.IntlDateTimeConverter.prototype.isDaySet=function(){return this._isOptionSet("day")},e.IntlDateTimeConverter.prototype.isDayNameSet=function(){return this._isOptionSet("weekday")},e.IntlDateTimeConverter.prototype.calculateWeek=function(e){return this._getWrapped().calculateWeek(e,i.__getBundle(),r.getLocale())},e.IntlDateTimeConverter.prototype.parse=function(e){if(null==e||""===e)return null;var t=i.__getBundle(),n=r.getLocale(),a=this.resolvedOptions();try{var o=this._getWrapped().parse(e,t,a,n),l=o.value;return l&&o.warning&&s.warn("The value "+e+" was leniently parsed to represent a date "+l.toString?l.toString():l),l}catch(t){throw this._processConverterError(t,e)}},e.IntlDateTimeConverter.prototype.compareISODates=function(t,r){var n=e.StringUtils.isString;if(!n(t)||!n(r))throw new Error("Invalid arguments for compareISODates ",t,r);return this._getWrapped().compareISODates(t,r,i.__getBundle())},e.IntlDateTimeConverter.prototype._processConverterError=function(t,r){var a,i,s,l,d=t.errorInfo;if(d){var u=d.errorCode,m=d.parameterMap||{};e.Assert.assertObject(m);var c=m.propertyName;c=n.getTranslatedString("oj-converter.datetime.datetimeOutOfRange."+c),m.propertyName=c,t instanceof TypeError?"optionTypesMismatch"!==u&&"optionTypeInvalid"!==u||(s=o.IntlConverterUtils.__getConverterOptionError(u,m)):t instanceof RangeError?"optionOutOfRange"===u?s=o.IntlConverterUtils.__getConverterOptionError(u,m):"datetimeOutOfRange"===u?(a=n.getTranslatedString("oj-converter.datetime.datetimeOutOfRange.summary",{propertyName:c,value:m.value}),i=n.getTranslatedString("oj-converter.datetime.datetimeOutOfRange.detail",{minValue:m.minValue,maxValue:m.maxValue}),s=new e.ConverterError(a,i)):"isoStringOutOfRange"===u&&(a=n.getTranslatedString("oj-converter.datetime.invalidISOString.invalidRangeSummary",{isoStr:m.isoString,propertyName:c,value:m.value}),i=n.getTranslatedString("oj-converter.datetime.datetimeOutOfRange.detail",{minValue:m.minValue,maxValue:m.maxValue}),s=new e.ConverterError(a,i)):t instanceof SyntaxError?"optionValueInvalid"===u&&(s=o.IntlConverterUtils.__getConverterOptionError(u,m)):t instanceof Error&&("dateFormatMismatch"===u?l="oj-converter.datetime.dateFormatMismatch.summary":"timeFormatMismatch"===u?l="oj-converter.datetime.timeFormatMismatch.summary":"datetimeFormatMismatch"===u?l="oj-converter.datetime.datetimeFormatMismatch.summary":"invalidTimeZoneID"===u?(a=n.getTranslatedString("oj-converter.datetime.invalidTimeZoneID.summary",{timeZoneID:m.timeZoneID}),i=n.getTranslatedString("oj-converter.hint.detail",{exampleValue:this._getHintValue()}),s=new e.ConverterError(a,i)):"nonExistingTime"===u?l="oj-converter.datetime.nonExistingTime.summary":"missingTimeZoneData"===u?l="oj-converter.datetime.missingTimeZoneData.summary":"dateToWeekdayMismatch"===u?(a=n.getTranslatedString("oj-converter.datetime.dateToWeekdayMismatch.summary",{date:m.date,weekday:m.weekday}),i=n.getTranslatedString("oj-converter.datetime.dateToWeekdayMismatch.detail"),s=new e.ConverterError(a,i)):"invalidISOString"===u&&(a=n.getTranslatedString("oj-converter.datetime.invalidISOString.summary",{isoStr:m.isoStr}),i=n.getTranslatedString("oj-converter.datetime.invalidISOString.detail"),s=new e.ConverterError(a,i)),l&&(a=n.getTranslatedString(l,{value:r||m.value,format:m.format}),i=n.getTranslatedString("oj-converter.hint.detail",{exampleValue:this._getHintValue()}),s=new e.ConverterError(a,i)))}return s||(a=t.message,i=t.message,s=new e.ConverterError(a,i)),s},e.IntlDateTimeConverter.prototype._isOptionSet=function(e){return!!this.resolvedOptions()[e]},e.IntlDateTimeConverter.prototype.getAvailableTimeZones=function(){return this._getWrapped().getAvailableTimeZones(i.__getBundle())},e.IntlDateTimeConverter.prototype._getTimePositioning=function(e){var t;return t=null===e?this.resolvedOptions():e,this._getWrapped().getTimePositioning(i.__getBundle(),t,r.getLocale())},l=function(){var t,r={},n={},a=/(\d{1,4})\D+?(\d{1,4})/g,i=/(\d{1,4})\D+?(\d{1,4})\D+?(\d{1,4})/g,o=/^[M][^M]|[^M]M[^M]|[^M]M$|^M$/g,s=/^[L][^L]|[^L]L[^L]|[^L]L$|^L$/g,u=/^[d][^d]|[^d]d[^d]|[^d]d$|^d$|^d[^d]/,m=/(?:^|[^h])h[^h]|[^H]H[^H]|[^k]k[^k]|[^K]K[^K]|^H[^H]|^H$|[^h]h$/,c=/'.*'/,v=/'[^d]*d[^d]*'/,g=/(\d{1,2})(?:\D+?(\d{1,2}))?(?:\D+?(\d{1,2}))?(?:\D+?(\d{1,3}))?/g,h=/h|H|K|k/g,f=/([\^$.*+?|\[\](){}])/g,p=/ccccc|cccc|ccc|cc|c|EEEEE|EEEE|EEE|EE|E|dd|d|MMMMM|MMMM|MMM|MM|M|LLLLL|LLLL|LLL|LL|L|yyyy|yy|y|hh|h|HH|H|KK|K|kk|k|mm|m|ss|s|aa|a|SSS|SS|S|zzzz|zzz|zz|z|v|ZZZ|ZZ|Z|XXX|XX|X|VV|GGGGG|GGGG|GGG|GG|G/g,y=/\s?(?:\(|\[)?z{1,4}(?:\)|\])?/g,I=!1,O={0:"sun",1:"mon",2:"tue",3:"wed",4:"thu",5:"fri",6:"sat"},k={s:46,m:46,h:23,d:7,w:4,M:12},T="zulu",D="local",M="auto",b="invariant",E="offset",U="UTC",w="(\\D+|\\d\\d?\\D|\\d\\d?|\\D+\\d\\d?)",x="(\\D+|\\D+\\d\\d?)",S={MMM:{token:"months",style:"format",mLen:"abbreviated",matchIndex:0,key:"month",value:"short",regExp:w},MMMM:{token:"months",style:"format",mLen:"wide",matchIndex:0,key:"month",value:"long",regExp:w},MMMMM:{token:"months",style:"format",mLen:"narrow",matchIndex:0,key:"month",value:"narrow",regExp:w},LLL:{token:"months",style:"stand-alone",mLen:"abbreviated",matchIndex:1,key:"month",value:"short",regExp:w},LLLL:{token:"months",style:"stand-alone",mLen:"wide",matchIndex:1,key:"month",value:"long",regExp:w},LLLLL:{token:"months",style:"stand-alone",mLen:"narrow",matchIndex:1,key:"month",value:"narrow",regExp:w},E:{token:"days",style:"format",dLen:"abbreviated",matchIndex:0,key:"weekday",value:"short",regExp:x},EE:{token:"days",style:"format",dLen:"abbreviated",matchIndex:0,key:"weekday",value:"short",regExp:x},EEE:{token:"days",style:"format",dLen:"abbreviated",matchIndex:0,key:"weekday",value:"short",regExp:x},EEEE:{token:"days",style:"format",dLen:"wide",matchIndex:0,key:"weekday",value:"long",regExp:x},EEEEE:{token:"days",style:"format",dLen:"narrow",matchIndex:0,key:"weekday",value:"narrow",regExp:x},c:{token:"days",style:"stand-alone",dLen:"abbreviated",matchIndex:1,key:"weekday",value:"short",regExp:x},cc:{token:"days",style:"stand-alone",dLen:"abbreviated",matchIndex:1,key:"weekday",value:"short",regExp:x},ccc:{token:"days",style:"stand-alone",dLen:"abbreviated",matchIndex:1,key:"weekday",value:"short",regExp:x},cccc:{token:"days",style:"stand-alone",dLen:"wide",matchIndex:1,key:"weekday",value:"long",regExp:x},ccccc:{token:"days",style:"stand-alone",dLen:"narrow",matchIndex:1,key:"weekday",value:"narrow",regExp:x},h:{token:"time",timePart:"hour",start1:0,end1:11,start2:1,end2:12,key:"hour",value:"numeric",regExp:"(\\d\\d?)"},hh:{token:"time",timePart:"hour",start1:0,end1:11,start2:1,end2:12,key:"hour",value:"2-digit",regExp:"(\\d\\d?)"},K:{token:"time",timePart:"hour",start1:0,end1:11,start2:0,end2:11,key:"hour",value:"numeric",regExp:"(\\d\\d?)"},KK:{token:"time",timePart:"hour",start1:0,end1:11,start2:0,end2:11,key:"hour",value:"2-digit",regExp:"(\\d\\d?)"},H:{token:"time",timePart:"hour",start1:0,end1:23,start2:0,end2:23,key:"hour",value:"numeric",regExp:"(\\d\\d?)"},HH:{token:"time",timePart:"hour",start1:0,end1:23,start2:0,end2:23,key:"hour",value:"2-digit",regExp:"(\\d\\d?)"},k:{token:"time",timePart:"hour",start1:0,end1:23,start2:1,end2:24,key:"hour",value:"numeric",regExp:"(\\d\\d?)"},kk:{token:"time",timePart:"hour",start1:0,end1:23,start2:1,end2:24,key:"hour",value:"2-digit",regExp:"(\\d\\d?)"},m:{token:"time",timePart:"minute",start1:0,end1:59,start2:0,end2:59,key:"minute",value:"numeric",regExp:"(\\d\\d?)"},mm:{token:"time",timePart:"minute",start1:0,end1:59,start2:0,end2:59,key:"minute",value:"2-digit",regExp:"(\\d\\d?)"},s:{token:"time",timePart:"second",start1:0,end1:59,start2:0,end2:59,key:"second",value:"numeric",regExp:"(\\d\\d?)"},ss:{token:"time",timePart:"second",start1:0,end1:59,start2:0,end2:59,key:"second",value:"2-digit",regExp:"(\\d\\d?)"},S:{token:"time",timePart:"millisec",start1:0,end1:999,start2:0,end2:999,key:"millisecond",value:"numeric",regExp:"(\\d{1,3})"},SS:{token:"time",timePart:"millisec",start1:0,end1:999,start2:0,end2:999,key:"millisecond",value:"numeric",regExp:"(\\d{1,3})"},SSS:{token:"time",timePart:"millisec",start1:0,end1:999,start2:0,end2:999,key:"millisecond",value:"numeric",regExp:"(\\d{1,3})"},d:{token:"dayOfMonth",key:"day",value:"numeric",getPartIdx:2,regExp:"(\\d\\d?)"},dd:{token:"dayOfMonth",key:"day",value:"2-digit",getPartIdx:2,regExp:"(\\d\\d?)"},M:{token:"monthIndex",key:"month",value:"numeric",getPartIdx:1,regExp:"(\\d\\d?)"},MM:{token:"monthIndex",key:"month",value:"2-digit",getPartIdx:1,regExp:"(\\d\\d?)"},L:{token:"monthIndex",key:"month",value:"numeric",getPartIdx:1,regExp:"(\\d\\d?)"},LL:{token:"monthIndex",key:"month",value:"2-digit",getPartIdx:1,regExp:"(\\d\\d?)"},y:{token:"year",key:"year",value:"numeric",regExp:"(\\d{1,4})"},yy:{token:"year",key:"year",value:"2-digit",regExp:"(\\d\\d?)"},yyyy:{token:"year",key:"year",value:"numeric",regExp:"(\\d{1,4})"},a:{token:"ampm",key:"hour12",value:!0,regExp:"(\\D*)"},z:{token:"tzAbbrev",regExp:"(.+?)"},v:{token:"tzAbbrev",key:"timeZoneName",value:"short",regExp:"(.+?)"},zz:{token:"tzAbbrev",regExp:"(.+?)"},zzz:{token:"tzAbbrev",regExp:"(.+?)"},zzzz:{token:"tzFull",regExp:"(.+?)"},Z:{token:"tzhm",regExp:"([+-]?\\d{1,4})"},ZZ:{token:"tzhm",regExp:"([+-]?\\d{1,4})"},ZZZ:{token:"tzhm",regExp:"([+-]?\\d{1,4})"},X:{token:"tzh",regExp:"([+-]?\\d{1,2})"},XX:{token:"tzhm",key:"XX",regExp:"([+-]?\\d{1,4})"},XXX:{token:"tzhsepm",regExp:"([+-]?\\d{1,2}:\\d{1,2})"},VV:{token:"tzid",regExp:"(.+?)"},G:{token:"era",key:"era",value:"short",regExp:x},GG:{token:"era",key:"era",value:"short",regExp:x},GGG:{token:"era",key:"era",value:"short",regExp:x},GGGG:{token:"era",key:"era",value:"long",regExp:x},GGGGG:{token:"era",key:"era",value:"narrow",regExp:x},"/":{token:"slash",regExp:"(\\/)"}};function C(e){var t=e["two-digit-year-start"];return(void 0===t||isNaN(t))&&(t=1950),t=parseInt(t,10)}function _(t){var r=t._ojLocale_,n=e.OraI18nUtils.getBCP47Region(r);return"h"===t.supplemental.prefferedHours[n]}function L(t,r,n){var a,i,o,s=e.OraI18nUtils.getLocaleElementsMainNode(r),l=e.OraI18nUtils.getGetOption(t,n),d=l("formatType","string",["date","time","datetime"],"date"),u=l("dateFormat","string",["short","medium","long","full"],"short"),m=l("timeFormat","string",["short","medium","long","full"],"short"),c=s.dates.calendars.gregorian,v=c.dateFormats,g=c.timeFormats;switch(u){case"full":a=v.full;break;case"long":a=v.long;break;case"medium":a=v.medium;break;case"short":a=v.short}switch(m){case"full":i=g.full;break;case"long":i=g.long;break;case"medium":i=g.medium;break;case"short":i=g.short}return void 0===a||"datetime"!==d&&"date"!==d||(o=a),void 0===i||"datetime"!==d&&"time"!==d||(I&&(i=i.replace(y,"")),o=o?o+" "+i:i),o}function F(e,t){for(var r=0,n=!1,a=0,i=e.length;a<i;a++){var o=e.charAt(a);switch(o){case"'":n?t.push("'"):r+=1,n=!1;break;case"\\":n&&t.push("\\"),n=!n;break;default:t.push(o),n=!1}}return r}function Z(e,t,r){var n,a=void 0!==t.year||void 0!==t.month||void 0!==t.weekday||void 0!==t.day,i=void 0!==t.hour||void 0!==t.minute||void 0!==t.second;n=a&&i?"MM/dd/yy hh:mm:ss a":a?"MM/dd/yy":"hh:mm:ss a";var o=new SyntaxError("Unexpected character(s) "+r+' encountered in the pattern "'+e+' An example of a valid pattern is "'+n+'".'),s={errorCode:"optionValueInvalid",parameterMap:{propertyName:"pattern",propertyValue:e,"propertyValueHint ":n}};throw o.errorInfo=s,o}function N(t,r,n,a){for(var i,o=e.OraI18nUtils.getLocaleElementsMainNode(r).dates.calendars.gregorian.dateTimeFormats.availableFormats,s=["weekday","era","year","month","day","hour","minute","second","timeZoneName"],l={"2-digit":0,numeric:1,narrow:2,short:3,long:4},d=-1/0,u=Object.keys(o),m=0;m<u.length;m++){var c=u[m],v=!1,g={};g.pattern=o[c];for(var h=0,f=p.exec(c);null!==f;){var y=f[0];("h"!==y&&"hh"!==y||a)&&("H"!==y&&"HH"!==y||!a)?void 0!==S[y]&&(g[S[y].key]=S[y].value):v=!0,f=p.exec(c)}if(!v){for(var I=0;I<s.length;I++){var O=t[s[I]],k=g[s[I]];if(void 0===O&&void 0!==k)h-=20;else if(void 0!==O&&void 0===k)h-=120;else if(void 0!==O&&void 0!==k){var T=l[O],D=l[k],M=Math.max(Math.min(D-T,2),-2);2===M?h-=6:1===M?h-=3:-1===M?h-=6:-2===M&&(h-=8)}}h>d&&(d=h,i=g)}}return void 0!==i?i.pattern:null}function j(e,t,r,n){return void 0!==r?(e[t]=r,n[r]):""}function z(e,t,r){var n;if(Object.keys(t).length>1)return null;for(var a=e.length;a>0;a--)if(void 0!==(n=r[e.substr(0,a)]))return n;return e}function P(t,n,a,i){var l,d,g,f=e.OraI18nUtils.getLocaleElementsMainNode(n),p=e.OraI18nUtils.getLocaleElementsMainNodeKey(n),y=e.OraI18nUtils.getGetOption(t,i),I=y("formatMatcher","string",["basic","munger"],"munger");0===Object.keys(t).length&&(t={year:"numeric",month:"numeric",day:"numeric"});var O=y("millisecond","string",["numeric","2-digit"]),k=y("second","string",["numeric","2-digit"]);void 0!==O&&(d=y("hour","string",["numeric","2-digit"]),g=y("minute","string",["numeric","2-digit"]),t.second="2-digit");var T=function(t,r,n){var a="",i="",o={},s={},l=e.OraI18nUtils.getGetOption(t,n),d=l("era","string",["narrow","short","long"]);a+=j(o,"era",d,{narrow:"GGGGG",short:"GGG",long:"GGGG"}),a+=j(o,"year",d=l("year","string",["2-digit","numeric"]),{"2-digit":"yy",numeric:"y"}),a+=j(o,"month",d=l("month","string",["2-digit","numeric","narrow","short","long"]),{"2-digit":"MM",numeric:"M",narrow:"MMMMM",short:"MMM",long:"MMMM"}),a+=j(o,"weekday",d=l("weekday","string",["narrow","short","long"]),{narrow:"EEEEE",short:"E",long:"EEEE"}),a+=j(o,"day",d=l("day","string",["2-digit","numeric"]),{"2-digit":"dd",numeric:"d"});var u=l("hour12","boolean",[!0,!1]);return void 0===u&&(u=_(r)),i+=j(s,"hour",d=l("hour","string",["2-digit","numeric"]),!0===u?{"2-digit":"hh",numeric:"h"}:{"2-digit":"HH",numeric:"H"}),i+=j(s,"minute",d=l("minute","string",["2-digit","numeric"]),{"2-digit":"mm",numeric:"m"}),i+=j(s,"second",d=l("second","string",["2-digit","numeric"]),{"2-digit":"ss",numeric:"s"}),[a,i+=j(s,"timeZoneName",d=l("timeZoneName","string",["short","long"]),{short:"v",long:"v"}),o,s]}(t,n,i);if(void 0!==r[p]){var D=r[p].dates.calendars.gregorian.dateTimeFormats[T[0]+T[1]];if(void 0!==D)return D=w(D)}if(""===T[0]&&""===T[1])return L(t,n,i);var M=f.dates.calendars.gregorian.dateTimeFormats.availableFormats,b=M[T[0]],E=y("hour12","boolean",[!0,!1]);void 0===E&&(E=_(n)),void 0===b&&""!==T[0]&&(null===(b=z(T[0],T[2],M))&&(b=N(T[2],n,0,E)),null!==b?"basic"!==I&&(b=function(t,r,n){var a=t,i=e.OraI18nUtils.getGetOption(r,n),l=i("year","string",["2-digit","numeric"]),d={"2-digit":"yy",numeric:"yyyy"};void 0!==l&&(a=a.replace(/y{1,4}/,d[l])),void 0!==(l=i("month","string",["2-digit","numeric","narrow","short","long"]))&&(void 0!==(d={"2-digit":"MM",numeric:"M",narrow:"MMMMM",short:"MMM",long:"MMMM"})[l]&&d[l].length>2?a=(a=a.replace(/M{3,5}/,d[l])).replace(/L{3,5}/,{"2-digit":"LL",numeric:"L",narrow:"LLLLL",short:"LLL",long:"LLLL"}[l]):"2-digit"===l&&(o.lastIndex=0,o.test(t)&&(a=a.replace("M","MM")),s.test(t)&&(a=a.replace("L","LL"))));void 0!==(l=i("weekday","string",["narrow","short","long"]))&&(a=(a=a.replace(/E{1,5}/,{narrow:"EEEEE",short:"EEE",long:"EEEE"}[l])).replace(/c{1,5}/,{narrow:"ccccc",short:"ccc",long:"cccc"}[l]));if(void 0!==(l=i("day","string",["2-digit","numeric"]))&&"2-digit"===l){u.lastIndex=0,v.lastIndex=0;var m=v.test(t);!0===u.test(t)&&!1===m&&(a=a.replace("d","dd"))}return a}(b,t,i)):b=T[0]);var U=M[T[1]];return void 0===U&&""!==T[1]&&(null===(U=z(T[1],T[3],M))&&(U=N(T[3],n,0,E)),null!==U?"basic"!==I&&(U=function(t,r,n){var a=t;if("2-digit"===e.OraI18nUtils.getGetOption(r,n)("hour","string",["2-digit","numeric"])){m.lastIndex=0,c.lastIndex=0;var i=t.replace(c,""),o=m.exec(i);if(null!==o){h.lastIndex=0;var s=h.exec(o[0]),l=s[0]+s[0];a=t.replace(s[0],l)}}return a}(U,t,i)):U=T[1]),l=b||"",void 0!==U&&(""!==l?l+=" "+U:l=U),void 0===r[p]&&(r[p]={},r[p].dates={},r[p].dates.calendars={},r[p].dates.calendars.gregorian={},r[p].dates.calendars.gregorian.dateTimeFormats={}),r[p].dates.calendars.gregorian.dateTimeFormats[T[0]+T[1]]=l,l=w(l);function w(r){if(void 0!==O){var n=(i=f,o=a,s="symbols-numberSystem-"+e.OraI18nUtils.getNumberingSystemKey(i,o),i.numbers[s].decimal);n=void 0===d&&void 0===g&&void 0===k?"S":"ss"+n+"SSS",r=r.replace("ss",n),void 0===k&&(t.second=void 0)}var i,o,s,l=y("timeZoneName","string",["short","long"]);return void 0!==l&&(r=r.replace(/v/,{short:"z",long:"zzzz"}[l])),r}}function V(e){var t=e.split(" "),r=t[0].split("-"),n=new Date(r[0],r[1]-1,r[2]);return t.length>1&&(r=t[1].split(":"),n.setHours(r[0]),n.setMinutes(r[1])),n.getTime()}function G(e,t,r){var n=new Date(e[0],e[1]-1,e[2],e[3],e[4],e[5]).getTime(),a=t.split("/"),i=a[0],o=a[1],s=r[i];if(void 0===s)return null;if(void 0===(s=s[o]))return null;for(var l,d,u=s.length,m=0;m<u;m++){var c=s[m].usesMetazone._from,v=s[m].usesMetazone._to,g=s[m].usesMetazone._mzone;if(void 0===c&&void 0===v)return g;if(void 0===c&&void 0!==v&&n<=(d=V(v)))return g;if(void 0!==c&&void 0===v&&n>=(l=V(c)))return g;if(void 0!==c&&void 0!==v&&(l=V(c),d=V(v),n>=l&&n<d))return g}}function R(t,r,n,a,i){var o=e.OraI18nUtils.getLocaleElementsMainNode(t),s="",l=n.timeZone,d=e.OraI18nUtils.getGetOption(n,"OraDateTimeConverter")("dst","boolean",[!0,!1],!1);if(void 0===l)return s;var u,m,c=G(r,l,t.supplemental.metazones),v="standard",g=!i,h=A(l,t),f=H(h,r,d,g,!0);if(void 0!==o.dates.timeZoneNames.metazone&&(u=o.dates.timeZoneNames.metazone[c]),void 0===u){var p=h.ofset(f);return e.OraI18nUtils.getTimeStringFromOffset(U,p,!0,!0)}m=1===a?u.long:u.short;var y=h.ofset(f);return y<h.ofset(f+1)&&(v="daylight"),void 0!==m&&void 0!==(s=m[v])?s:e.OraI18nUtils.getTimeStringFromOffset(U,y,!0,!0)}function A(e,t){return d.getInstance().getZone(e,t)}function H(e,t,r,n,a){var i=Date.UTC(t[0],t[1]-1,t[2],t[3],t[4],t[5]);return e.parse(i,r,n,a)}function K(e){var t=e.split(":");return 2===t.length?(t[0]=parseInt(t[0],10),t[1]=parseInt(t[1],10)):3===e.length?(t[0]=parseInt(e,10),t[1]=0):(t[0]=parseInt(e.substr(0,3),10),t[1]=parseInt(e.substr(3),10)),t}function W(t,r,n,a){var i,o,s,l=n.isoStrParts,d=0===n.dateTime.indexOf("T"),u=e.OraI18nUtils.getLocaleElementsMainNode(t),m=e.OraI18nUtils.getGetOption(r,"OraDateTimeConverter.format");o=r.pattern||P(r,t,a,"OraDateTimeConverter.format"),i=[];var c=0,v=u.dates.calendars.gregorian;function g(e,t){switch(t){case 0:return e[0];case 1:return e[1];case 2:return e[2];case 3:var r=new Date(e[0],e[1]-1,e[2],e[3],e[4],e[5]);return O[r.getDay()];default:return}}function h(t,n,a,i,o){var s;switch(i.timePart){case"hour":s=11===i.end1?n[3]%12:n[3],"h"===o||"hh"===o?0===s&&(s=12):"k"!==o&&"kk"!==o||0===s&&(s=24);break;case"minute":s=n[4];break;case"second":s=void 0===r.second&&void 0!==r.millisecond?0:n[5];break;case"millisec":s=n[6]}t.push(a>1?e.OraI18nUtils.padZeros(s,a):s)}function f(r,a,i){var o,s,l,d=a.timeZone,u=m("dst","boolean",[!0,!1],!1),c=!i;if(void 0!==d)l=H(s=A(d,t),r,u,c,!0),o=-s.ofset(l);else if(n.format!==D)switch(n.format){case E:var v=K(n.timeZone),g=v[0],h=v[1];o=60*g+(e.OraI18nUtils.startsWith(n.timeZone,"-")?-h:h);break;case T:default:o=0}return o}var y,I,k,M,b,w=r.timeZone;for(n.format!==D&&void 0!==w&&we(n,r,t);;){var x=p.lastIndex,C=p.exec(o);if(c+=F(o.slice(x,C?C.index:o.length),i),!C)break;if(c%2)i.push(C[0]);else{var _=C[0],L=_.length,N=S[_];switch(N.token){case"days":s=v[N.token][N.style][N.dLen],i.push(s[g(l,3)]);break;case"months":s=v[N.token][N.style][N.mLen],i.push(s[g(l,1)]);break;case"dayOfMonth":case"monthIndex":i.push((y=i,I=l,k=N.getPartIdx,M=L,void 0,b=g(I,k),void y.push(M>1?e.OraI18nUtils.padZeros(b,M):b)));break;case"year":s=l[0],2===L&&(s%=100),i.push(e.OraI18nUtils.padZeros(s,L));break;case"time":h(i,l,L,N,_);break;case"ampm":s=l[3]<12?v.dayPeriods.format.wide.am:v.dayPeriods.format.wide.pm,i.push(s);break;case"tzhm":0===(s=f(l,r,d))?"XX"===N.key?i.push("Z"):i.push("+0000"):void 0!==s&&i.push((s<=0?"-":"+")+e.OraI18nUtils.padZeros(Math.floor(Math.abs(s/60)),2)+e.OraI18nUtils.padZeros(Math.floor(Math.abs(s%60)),2));break;case"tzhsepm":0===(s=f(l,r,d))?i.push("Z"):void 0!==s&&i.push((s<=0?"-":"+")+e.OraI18nUtils.padZeros(Math.floor(Math.abs(s/60)),2)+":"+e.OraI18nUtils.padZeros(Math.floor(Math.abs(s%60)),2));break;case"tzh":0===(s=f(l,r,d))?i.push("Z"):void 0!==s&&i.push((s<=0?"-":"+")+e.OraI18nUtils.padZeros(Math.floor(Math.abs(s/60)),2));break;case"tzid":s=void 0!==w?w:n.format===T?U:"",i.push(s);break;case"tzAbbrev":s=R(t,l,r,0,d),i.push(s);break;case"tzFull":s=R(t,l,r,1,d),i.push(s);break;case"era":s=v.eras.eraAbbr,i.push(s[1]);break;case"slash":i.push("/");break;default:Z(o,r,_)}}}return i.join("")}function X(e,t){return e.getFullYear()===t.getFullYear()}function Y(e,t){return t.getFullYear()-e.getFullYear()==1}function $(e,t){return X(e,t)&&e.getMonth()===t.getMonth()}function B(e,t){return X(e,t)?t.getMonth()-e.getMonth()==1:!!Y(e,t)&&(11===e.getMonth()&&0===t.getMonth())}function q(t,r){var n=t.getDate(),a=r.getDate();return B(t,r)&&(a+=e.OraI18nUtils._getDaysInMonth(t.getFullYear,t.getMonth())),a-n}function J(t,r){var n=t._ojLocale_,a=e.OraI18nUtils.getBCP47Region(n),i=t.supplemental.weekData.firstDay,o=i[a];void 0===o&&(o=i["001"]);var s=r-o;return s<0&&(s+=7),s}function Q(e,t,r){if(!$(t,r)&&!B(t,r))return!1;var n=q(t,r)+J(e,t.getDay());return n>=7&&n<=13}function ee(e,t){return X(e,t)&&$(e,t)&&e.getDate()===t.getDate()}function te(e,t){return!(!$(e,t)&&!B(e,t))&&1===q(e,t)}function re(e,t){return te(t,e)}function ne(t,r,n){var a=e.OraI18nUtils._IsoStrParts(t),i=e.OraI18nUtils._IsoStrParts(r);return n?(a=Date.UTC(a[0],a[1]-1,a[2],0,0,0,0),i=Date.UTC(i[0],i[1]-1,i[2],0,0,0,0)):(a=Date.UTC(a[0],a[1]-1,a[2],a[3],a[4],a[5],a[6]),i=Date.UTC(i[0],i[1]-1,i[2],i[3],i[4],i[5],i[6])),a-i}function ae(e,t){return e.replace(/\{(\d+)\}/g,function(){return t[arguments[1]]})}function ie(t,r,n,a){var i=e.OraI18nUtils.getLocaleElementsMainNode(a).dates.fields,o=e.OraI18nUtils.getGetOption(n,"OraDateTimeConverter.formatRelative")("dateField","string",["day","week","month","year","hour","minute","second"]),s=e.OraI18nUtils.isoToLocalDate(t),l=e.OraI18nUtils.isoToLocalDate(r);switch(o){case"day":return ee(s,l)?i.day["relative-type-0"]:te(s,l)?i.day["relative-type-1"]:re(s,l)?i.day["relative-type--1"]:se(t,r,a,"day");case"week":return function(e,t,r){if(t>r){var n=t;t=r,r=n}if(!$(t,r)&&!B(t,r))return!1;var a=q(t,r)+J(e,t.getDay());return a>=0&&a<=6}(a,s,l)?i.week["relative-type-0"]:Q(a,s,l)?i.week["relative-type-1"]:function(e,t,r){return Q(e,r,t)}(a,s,l)?i.week["relative-type--1"]:se(t,r,a,"week");case"month":return $(s,l)?i.month["relative-type-0"]:B(s,l)?i.month["relative-type-1"]:B(l,s)?i.month["relative-type--1"]:se(t,r,a,"month");case"year":return X(s,l)?i.year["relative-type-0"]:Y(s,l)?i.year["relative-type-1"]:function(e,t){return Y(t,e)}(s,l)?i.year["relative-type--1"]:se(t,r,a,"year");case"hour":return se(t,r,a,"hour");case"minute":return se(t,r,a,"minute");case"second":return se(t,r,a,"second")}return null}function oe(e){return e.split("-")[0]}function se(t,r,n,a){var i,o,s,l=e.OraI18nUtils.getLocaleElementsMainNodeKey(n),d=e.OraI18nUtils.getLocaleElementsMainNode(n),u=oe(l),m=n.supplemental.plurals,c=d.dates.fields,v=ne(r,t,!1),g=Math.abs(v),h=(o=function(e){return 4800*e/146097}((i=g)/864e5),s=o/12,{year:Math.round(s),month:Math.round(o),week:Math.round(i/6048e5),day:Math.round(i/864e5),hour:Math.round(i/36e5),minute:Math.round(i/6e4),second:Math.round(i/1e3),millisecond:i});if(null===a&&(a=(h.second<k.s?"second":h.minute<k.m&&"minute")||h.hour<k.h&&"hour"||h.day<k.d&&"day"||h.week<k.w&&"week"||h.month<k.M&&"month"||"year"),"second"===a&&h.second<k.s)return c[a]["relative-type-0"];var f="relativeTimePattern-count-"+m[u](h[a]),p=v<0?"relativeTime-type-past":"relativeTime-type-future",y=c[a][p][f];return void 0===y&&(f="relativeTimePattern-count-other",y=c[a][p][f]),y=ae(y,[h[a]])}function le(t,r,n){var a=e.OraI18nUtils.dateToLocalIso(new Date);if("number"==typeof t)t=e.OraI18nUtils.dateToLocalIso(new Date(t));else{if("string"!=typeof t)return null;if(""===e.OraI18nUtils.trim(t))return null}void 0===n&&(n={formatUsing:"displayName"});var i=e.OraI18nUtils.getGetOption(n,"OraDateTimeConverter.formatRelative"),o=i("relativeTime","string",["fromNow","toNow"],"fromNow"),s=i("dateField","string",["day","week","month","year","hour","minute","second"]);if(t=function(t,r,n){var a=n.timeZone;if(e.OraI18nUtils.getISOStrFormatInfo(t).format===D&&void 0===a)return t;var i={isoStrFormat:"zulu"};void 0!==a&&(i.timeZone=a,i.dst=!0);var o=Ce(t,r,i,"en-US");return i={timeZone:e.OraI18nUtils.getLocalTimeZoneOffset(),isoStrFormat:"local"},Ce(o.value,r,i,"en-US").value}(t,r,n),"toNow"===o){var l=a;a=t,t=l}return"calendar"===i("formatUsing","string",["displayName","calendar"],"displayName")?function(t,r,n,a){var i,o,s,l,d=e.OraI18nUtils.getLocaleElementsMainNode(n),u=d.dates.calendars.gregorian.dateTimeFormats.long,m=d.dates.calendars.gregorian.days.format.wide,c=d.dates.fields,v=e.OraI18nUtils.isoToLocalDate(r),g=e.OraI18nUtils.isoToLocalDate(t),h=e.OraI18nUtils.getISOStrFormatInfo(r);if(ee(g,v))i=c.day["relative-type-0"];else if(te(g,v))i=c.day["relative-type-1"];else if(re(g,v))i=c.day["relative-type--1"];else{s=v.getDay(),l=O[s];var f=ne(r,t,!0);if((f/=864e5)<-1&&f>-7)i=c[l]["relative-type--1"];else{if(!(f>1&&f<7))return W(n,{year:"numeric",month:"numeric",day:"numeric"},h,"en-US");i=m[l]}}return a?i:(o=W(n,{hour:"numeric",minute:"numeric"},h,"en-US"),u=ae(u=u.replace(/'/g,""),[o,i]))}(a,t,r,i("dateOnly","boolean",[!0,!1],!1)):void 0!==s?ie(a,t,n,r):se(a,t,r,null)}function de(e,t){var r=new Error("The weekday "+e+" does not match the date "+t),n={errorCode:"dateToWeekdayMismatch",parameterMap:{weekday:e,date:t}};throw r.errorInfo=n,r}function ue(e,t,r){var n,a;2===r?(n='The value "'+e+'" does not match the expected date-time format "'+t+'"',a="datetimeFormatMismatch"):0===r?(n='The value "'+e+'" does not match the expected date format "'+t+'"',a="dateFormatMismatch"):(n='The value "'+e+'" does not match the expected time format "'+t+'"',a="timeFormatMismatch");var i=new Error(n),o={errorCode:a,parameterMap:{value:e,format:t}};throw i.errorInfo=o,i}function me(e,t){if(t<100){var r=e%100;t+=100*Math.floor(e/100)+(t<r?100:0)}return t}function ce(t,r){for(var n={sun:0,mon:1,tue:2,wed:3,thu:4,fri:5,sat:6},a=Object.keys(t),i=0;i<a.length;i++){var o=a[i];if(e.OraI18nUtils.trim(e.OraI18nUtils.toUpper(t[o]))===e.OraI18nUtils.trim(r))return n[o]}return-1}function ve(t,r){for(var n=Object.keys(t),a=0;a<n.length;a++){var i=n[a];if(e.OraI18nUtils.trim(e.OraI18nUtils.toUpper(t[i]))===e.OraI18nUtils.trim(r))return a}return-1}function ge(t,r,n){var a,i,o=e.OraI18nUtils.getLocaleElementsMainNode(t),s=o.dates.calendars.gregorian.days.format,l=o.dates.calendars.gregorian.days["stand-alone"];switch(n){case 0:i=[s.abbreviated,s.wide];break;case 1:i=[l.abbreviated,l.wide]}return r=e.OraI18nUtils.toUpper(r),-1===(a=ce(i[0],r))&&(a=ce(i[1],r)),a}function he(t,r,n){var a,i=-1,o=e.OraI18nUtils.getLocaleElementsMainNode(t),s=o.dates.calendars.gregorian.months.format,l=o.dates.calendars.gregorian.months["stand-alone"];switch(n){case 0:a=[s.wide,s.abbreviated];break;case 1:a=[l.wide,l.abbreviated];break;case 2:a=[s.wide,s.abbreviated,l.wide,l.abbreviated];break;default:return-1}r=e.OraI18nUtils.toUpper(r);for(var d=0;d<a.length;d++)if(-1!==(i=ve(a[d],r)))return i;return i}function fe(e,t,r,n,a,i,o){if(t<r||t>n){var s=new RangeError(a+" is out of range.  Enter a value between "+i+" and "+o+" for "+e),l={errorCode:"datetimeOutOfRange",parameterMap:{value:a,minValue:i,maxValue:o,propertyName:e}};throw s.errorInfo=l,s}}function pe(e,t){for(var r=0;r<e.length;r++)if(void 0!==e[r][t])return r;return 0}function ye(t,r,n,a,i){var o=e.OraI18nUtils.getLocaleElementsMainNode(a).dates.calendars.gregorian.dayPeriods.format.wide.pm;g.lastIndex=0;var s=0,l=0,d=0,u=0,m=g.exec(r);switch(null===m&&ue(r,n,i),void 0!==m[1]&&(s=parseInt(m[1],10)),void 0!==m[2]&&(l=parseInt(m[2],10)),void 0!==m[3]&&(d=parseInt(m[3],10)),void 0!==m[4]&&(u=parseInt(m[4],10)),h.lastIndex=0,(m=h.exec(n))[0]){case"h":12===s&&(s=0),fe("hour",s,0,11,s,1,12),-1!==e.OraI18nUtils.toUpper(r).indexOf(e.OraI18nUtils.toUpper(o))&&s<12&&(s+=12);break;case"K":fe("hour",s,0,11,s,0,11),-1!==e.OraI18nUtils.toUpper(r).indexOf(e.OraI18nUtils.toUpper(o))&&s<12&&(s+=12);break;case"H":fe("hour",s,0,23,s,0,23);break;case"k":24===s&&(s=0),fe("hour",s,0,23,s,1,24)}fe("minute",l,0,59,l,0,59),fe("second",d,0,59,d,0,59),fe("millisec",u,0,999,u,0,999),t.setHours(s,l,d,u)}function Ie(t,r){for(var n=e.OraI18nUtils.getLocaleElementsMainNode(r),a=n.dates.calendars.gregorian.days.format,i=n.dates.calendars.gregorian.days["stand-alone"],o=[a.wide,a.abbreviated,i.wide,i.abbreviated],s=0;s<o.length;s++)for(var l=Object.keys(o[s]),d=0;d<l.length;d++){var u=o[s][l[d]];if(new RegExp(u+"\\b","i").test(t))return u}return null}function Oe(t,r,n,o,s){var l=t;t=e.OraI18nUtils.toUpper(t);var d,u,m,c=e.OraI18nUtils.getLocaleElementsMainNode(o),v=c.dates.calendars.gregorian.months.format,g=c.dates.calendars.gregorian.months["stand-alone"],h=[v.wide,v.abbreviated,g.wide,g.abbreviated],f=!1;for(u=0;u<h.length;u++){d=[];var p,y=Object.keys(h[u]);for(p=0;p<y.length;p++)m=e.OraI18nUtils.toUpper(h[u][y[p]]),d.unshift({idx:p,name:m});for(d.sort(function(e,t){return t.idx-e.idx}),p=0;p<d.length;p++)if(m=d[p].name,-1!==t.indexOf(m)){f=!0,t=t.replace(m,"");break}if(f)break}if(!f)return function(t,r,n,a,o){i.lastIndex=0;var s=i.exec(t);null===s&&ue(t,r,o?2:0);var l,d,u,m,c,v,g=[{y:r.indexOf("y")},{M:r.indexOf("M")},{d:r.indexOf("d")}];g.sort(function(e,t){var r=Object.keys(e)[0],n=Object.keys(t)[0];return e[r]-t[n]});var h=pe(g,"d"),f=!1,p=!1;for(v=1;v<=3;v++){var y=s[v];(y.length>2||y>31)&&(l=y,f=!0,m=v-1)}for(f||(m=pe(g,"y"),l=s[pe(g,"y")+1]),v=0;v<3;v++)if(v!==m&&s[v+1]>12){u=s[v+1],p=!0,c=v;break}if(p){for(v=0;v<3;v++)if(v!==c&&v!==m){d=s[v+1];break}void 0===d&&(d=s[pe(g,"M")+1])}else m===pe(g,"d")?(u=s[pe(g,"y")+1],d=s[pe(g,"M")+1]):m===pe(g,"M")?(u=s[pe(g,"d")+1],d=s[pe(g,"y")+1]):(u=s[pe(g,"d")+1],d=s[pe(g,"M")+1]);d-=1;var I=e.OraI18nUtils._getDaysInMonth(l,d);p&&h!==c&&d>12&&fe("month",u,0,11,u,1,12),fe("month",d,0,11,d+1,1,12),fe("day",u,1,I,u,1,I),fe("year",l=me(C(n),parseInt(l,10)),0,9999,l,0,9999);var O=new Date(l,d,u),k=Ie(t,a);if(null!==k){var T=ge(a,k,0);O.getDay()!==T&&de(k,O.getDate())}var D={value:O,offset:"",warning:"lenient parsing was used"};if(o){var M=t.substr(i.lastIndex);0===M.length?D.value.setHours(0,0,0,0):ye(D.value,M,r,a,2)}return D.value=e.OraI18nUtils.dateToLocalIso(D.value),D}(l,r,n,o,s);var I=he(o,m,2);fe("month",I,0,11,I,1,12);var O=Ie(l,o),k=new RegExp(O+"\\W","i");null!==O&&(t=t.replace(k,"")),a.lastIndex=0;var T=a.exec(t);null===T&&ue(l,r,s?2:0);var D,M,b,E=[{y:r.indexOf("y")},{d:r.indexOf("d")}];E.sort(function(e,t){var r=Object.keys(e)[0],n=Object.keys(t)[0];return e[r]-t[n]});var U=!1;for(u=1;u<=2;u++){var w=T[u];(w.length>2||w>31)&&(D=w,U=!0,b=u-1)}U||(b=pe(E,"y"),D=T[pe(E,"y")+1]),M=b===pe(E,"d")?T[pe(E,"y")+1]:T[pe(E,"d")+1],fe("year",D=me(C(n),parseInt(D,10)),0,9999,D,0,9999);var x=new Date(D,I,M);if(null!==O){var S=ge(o,O,0);x.getDay()!==S&&de(O,x.getDate())}var _=e.OraI18nUtils._getDaysInMonth(D,I);fe("day",M,1,_,M,1,_);var L={value:x,offset:"",warning:"lenient parsing was used"};if(s){var F=t.substr(a.lastIndex);0===F.length?L.value.setHours(0,0,0,0):ye(L.value,F,r,o,2)}return L.value=e.OraI18nUtils.dateToLocalIso(L.value),L}function ke(t,r,n,a){switch(Ee(n,"OraDateTimeConverter.parse")){case 0:return Oe(t,r,n,a,!1);case 1:var i=new Date;return ye(i,t,r,a,1),{value:e.OraI18nUtils.dateToLocalIso(i),offset:"",warning:"lenient parsing was used"};case 2:return Oe(t,r,n,a,!0)}return null}function Te(t,r,n,a,i,o,s,l,d,u,m){var c,v=e.OraI18nUtils.getLocaleElementsMainNode(t).dates.calendars.gregorian[r][i];return fe(m,c="months"===r?he(t,n,o):ge(t,n,o),s,l,n,v[a][d],v[a][u]),c}function De(e,t,r,n){var a=t;a[r.timePart]=e,"h"===n||"hh"===n?12===e&&(a[r.timePart]=0):"k"!==n&&"kk"!==n||24===e&&(a[r.timePart]=0),fe(r.timePart,a[r.timePart],r.start1,r.end1,e,r.start2,r.end2)}function Me(t,r,n,a){var i=e.OraI18nUtils.getLocaleElementsMainNode(a),o=i.dates.calendars.gregorian.eras.eraAbbr[1],s=e.OraI18nUtils.trimNumber(o);t=t.replace(o,s);var l=e.OraI18nUtils.getGetOption(n,"OraDateTimeConverter.parse")("lenientParse","string",["none","full"],"full"),d=Ee(n,"OraDateTimeConverter.parse"),u=function(e,t){for(var r=e.replace(f,"\\\\$1"),n=["^"],a=[],i=0,o=0,s=p.exec(r);null!==s;){var l=r.slice(i,s.index);if(i=p.lastIndex,(o+=F(l,n))%2)n.push(s[0]);else{var d,u=s[0];void 0!==S[u]?d=S[u].regExp:Z(e,t,u),d&&n.push(d),a.push(s[0])}s=p.exec(r)}F(r.slice(i),n),n.push("$");var m={regExp:n.join("").replace(/\s+/g,"\\s+"),groups:a};return m}(r,n),m=new RegExp(u.regExp).exec(t);if(null===m){if("full"===l)return ke(t,r,n,a);ue(t,r,d)}for(var c,v=u.groups,g=null,h=null,y=null,I=null,O="",k=null,T=!1,D={hour:0,minute:0,second:0,millisec:0},M=i.dates.calendars.gregorian.dayPeriods.format.wide.pm,b=C(n),E=0,U=v.length;E<U;E++){var w=m[E+1];if(w){var x=v[E],_=parseInt(w,10),L=S[x];switch(L.token){case"months":h=Te(a,L.token,w,L.mLen,L.style,L.matchIndex,0,11,"1","12","month name");break;case"days":c=w,I=Te(a,L.token,w,L.dLen,L.style,L.matchIndex,0,6,"sun","sat","weekday");break;case"time":De(_,D,L,x);break;case"dayOfMonth":if((y=_)>31&&"full"===l)return ke(t,r,n,a);break;case"monthIndex":if((h=_-1)>11&&"full"===l)return ke(t,r,n,a);break;case"year":fe("year",g=me(b,_),0,9999,g,0,9999);break;case"ampm":T=-1!==e.OraI18nUtils.toUpper(w).indexOf(e.OraI18nUtils.toUpper(M));break;case"tzhm":O=w.substr(-2),O=w.substr(0,3)+":"+O;break;case"tzhsepm":O=w;break;case"tzh":O=w+":00";break;case"tzid":k=w}}}var N=new Date;null===g&&(g=N.getFullYear()),null===h&&null===y?(h=N.getMonth(),y=N.getDate()):null===y&&(y=1),fe("month",h,0,11,h+1,1,12);var j=e.OraI18nUtils._getDaysInMonth(g,h);fe("day",y,1,j,y,1,j),N.setFullYear(g,h,y),null!==I&&N.getDay()!==I&&de(c,N.getDate()),T&&D.hour<12&&(D.hour+=12);var z=[g,h+1,y,D.hour,D.minute,D.second,D.millisec],P=e.OraI18nUtils.partsToIsoString(z);if(null!==k){var V=A(k,a),G=H(V,z,!1,!0,!0);O=-V.ofset(G),O=e.OraI18nUtils.getTimeStringFromOffset("",O,!1,!0)}return""!==O&&(P+=O),{value:P}}function be(e,t,r){for(var n=r.replace(f,"\\\\$1"),a=["^"],i=0,o=0,s={locale:e,numberingSystem:t,calendar:"gregorian"},l=p.exec(n);null!==l;){var d=n.slice(o,l.index);if(o=p.lastIndex,(i+=F(d,a))%2==0){var u=l[0];"/"!==u&&"zzzz"!==u&&"zzz"!==u&&"zz"!==u&&"z"!==u&&(void 0!==S[u]?(void 0!==S[u].key&&(s[S[u].key]=S[u].value),"kk"===u||"HH"===u||"H"===u||"k"===u?s.hour12=!1:"KK"!==u&&"hh"!==u&&"h"!==u&&"K"!==u||(s.hour12=!0)):Z(r,s,u))}l=p.exec(n)}return s}function Ee(t,r){if(void 0!==t.pattern)return function(e){var t=be("","",e),r=void 0!==t.year||void 0!==t.month||void 0!==t.weekday||void 0!==t.day,n=void 0!==t.hour||void 0!==t.minute||void 0!==t.second||void 0!==t.millisecond;return r&&n?2:n?1:0}(t.pattern);var n=e.OraI18nUtils.getGetOption(t,r),a=void 0!==n("hour","string",["2-digit","numeric"])||void 0!==n("minute","string",["2-digit","numeric"])||void 0!==n("second","string",["2-digit","numeric"])||void 0!==n("millisecond","string",["numeric"]),i=void 0!==n("year","string",["2-digit","numeric"])||void 0!==n("month","string",["2-digit","numeric","narrow","short","long"])||void 0!==n("day","string",["2-digit","numeric"])||void 0!==n("weekday","string",["narrow","short","long"]);if(i&&a)return 2;if(a)return 1;if(i)return 0;var o=n("formatType","string",["date","time","datetime"],"date");return"datetime"===o?2:"time"===o?1:0}function Ue(e,t){var r=H(e,t,!1,!0,!1),n=e.ofset(r),a=e.ofset(r+1);return Math.max(n,a)}function we(t,r,n){var a,i,o,s,l=t.isoStrParts,d=t.format,u=A(r.timeZone,n);switch(a=Date.UTC(l[0],l[1]-1,l[2],l[3],l[4],l[5]),d){case E:var m=K(t.timeZone),c=m[0],v=m[1];i=60*c+(c<0?-v:v);break;case T:i=0}a-=6e4*((o=Ue(u,l))+i);var g=e.OraI18nUtils.getGetOption(r,"OraDateTimeConverter")("dst","boolean",[!0,!1],!1),h=0===t.dateTime.indexOf("T");s=u.parse(a,g,!h,!1),o=-u.ofset(s),o-=i;var f=new Date(Date.UTC(l[0],l[1]-1,l[2],l[3],l[4],l[5])),p=f.getUTCMinutes()+o;f.setUTCHours(f.getUTCHours()+(p/60<<0),p%60),l[0]=f.getUTCFullYear(),l[1]=f.getUTCMonth()+1,l[2]=f.getUTCDate(),l[3]=f.getUTCHours(),l[4]=f.getUTCMinutes(),l[5]=f.getUTCSeconds()}function xe(t,r){var n,a="";switch(t){case 0:a=e.OraI18nUtils.padZeros(r[0],4)+"-"+e.OraI18nUtils.padZeros(r[1],2)+"-"+e.OraI18nUtils.padZeros(r[2],2);break;case 1:a="T"+e.OraI18nUtils.padZeros(r[3],2)+":"+e.OraI18nUtils.padZeros(r[4],2)+":"+e.OraI18nUtils.padZeros(r[5],2),(n=r[6])>0&&(a+="."+e.OraI18nUtils.trimRightZeros(e.OraI18nUtils.padZeros(n,3)));break;default:a=e.OraI18nUtils.padZeros(r[0],4)+"-"+e.OraI18nUtils.padZeros(r[1],2)+"-"+e.OraI18nUtils.padZeros(r[2],2)+"T"+e.OraI18nUtils.padZeros(r[3],2)+":"+e.OraI18nUtils.padZeros(r[4],2)+":"+e.OraI18nUtils.padZeros(r[5],2),(n=r[6])>0&&(a+="."+e.OraI18nUtils.trimRightZeros(e.OraI18nUtils.padZeros(n,3)))}return a}function Se(t,r,n,a,i,o){var s=A(t,i),l=H(s,r,n,a,o),d=s.ofset(l);return e.OraI18nUtils.getTimeStringFromOffset("",d,!0,!0)}function Ce(t,r,n,a){var i,o,s=e.OraI18nUtils.getNumberingExtension(a);if(void 0===e.OraI18nUtils.numeringSystems[s]&&(s="latn"),"latn"!==s){for(var l=[],d=0;d<t.length;d++){var u=e.OraI18nUtils.numeringSystems[s].indexOf(t[d]);-1!==u?l.push(u):l.push(t[d])}t=l.join("")}(arguments.length<=2||void 0===n)&&(n={year:"numeric",month:"numeric",day:"numeric"});var m,c,v,g={};return!0===e.OraI18nUtils._ISO_DATE_REGEXP.test(t)?(m=t,i=-1===(v=t.indexOf("T"))?0:v>0?2:1):(o=n.pattern||P(n,r,a,"OraDateTimeConverter.parse"),i=Ee(n,"OraDateTimeConverter.parse"),m=(g=Me(t,o,n,r)).value),c=e.OraI18nUtils.getISOStrFormatInfo(m),void 0!==n.timeZone&&c.format!==D&&we(c,n,r),m=function(t,r,n,a){var i,o,s,l=e.OraI18nUtils.getGetOption(n,"OraDateTimeConverter.parse"),d=l("isoStrFormat","string",[T,E,b,D,M],M),u=l("dst","boolean",[!0,!1],!1),m=!0,c=r.isoStrParts,v=r.timeZone,g=n.timeZone,h=r.format,f=n.isoStrFormat,p=xe(t,c);if(0===t||"local"===f)return p;switch(1===t&&(m=!1),d){case E:void 0===g&&h===E?p+=v:void 0===g&&h===D?p+="":void 0===g&&h===T?p+="+00:00":void 0!==g&&(p+=s=Se(g,c,u,m,a,!0));break;case T:var y=0;if(void 0===g){if(h===E){s=v.split(":");var I=parseInt(s[0],10),O=parseInt(s[1],10);y=-(y=60*I+(e.OraI18nUtils.startsWith(s[0],"-")?-O:O))}}else o=H(i=A(g,a),c,u,m,!0),y=s=i.ofset(o);if(0!==y){var k=new Date(Date.UTC(c[0],c[1]-1,c[2],c[3],c[4],c[5],c[6]));y=k.getUTCMinutes()+y,k.setUTCHours(k.getUTCHours()+(y/60<<0),y%60),c[0]=k.getUTCFullYear(),c[1]=k.getUTCMonth()+1,c[2]=k.getUTCDate(),c[3]=k.getUTCHours(),c[4]=k.getUTCMinutes(),c[5]=k.getUTCSeconds(),p=xe(t,c)}p+="Z";break;case M:void 0!==g?p+=s=Se(g,c,u,m,a,!0):(s=v)&&(p+=s)}return p}(i,c,n,r),g.value=m,g}function _e(e,t,r,n,a,i,o,s){var d={locale:s,numberingSystem:o,calendar:"gregorian"};if(0===Object.keys(e).length)return d.year="numeric",d.month="numeric",d.day="numeric",d.lenientParse="full",d;void 0!==r&&(d.timeZone=r,void 0!==a&&(d.isoStrFormat=a)),function(e,t){var r=t,n=e("formatUsing","string",["displayName","calendar"]);void 0!==n&&(r.formatUsing=n),void 0!==(n=e("dateField","string",["day","week","month","year","hour","minute","second"]))&&(r.dateField=n),void 0!==(n=e("relativeTime","string",["fromNow","toNow"]))&&(r.relativeTime=n),void 0!==(n=e("dateOnly","boolean",[!0,!1]))&&(r.dateOnly=n)}(t,d);var u=function(e,t,r,n){var a,i=t,o=!1;return void 0!==r&&(i.dst=r),void 0!==(a=e("year","string",["2-digit","numeric"]))&&(i.year=a,o=!0),void 0!==(a=e("era","string",["narrow","short","long"]))&&(i.era=a,o=!0),void 0!==(a=e("month","string",["2-digit","numeric","narrow","short","long"]))&&(i.month=a,o=!0),void 0!==(a=e("day","string",["2-digit","numeric"]))&&(i.day=a,o=!0),void 0!==(a=e("weekday","string",["narrow","short","long"]))&&(i.weekday=a,o=!0),void 0!==(a=e("hour","string",["2-digit","numeric"]))&&(i.hour=a,o=!0,void 0===(a=e("hour12","boolean",[!0,!1]))&&(a=_(n)),i.hour12=a),void 0!==(a=e("minute","string",["2-digit","numeric"]))&&(i.minute=a,o=!0),void 0!==(a=e("second","string",["2-digit","numeric"]))&&(i.second=a,o=!0),void 0!==(a=e("millisecond","string",["numeric"]))&&(i.millisecond=a,o=!0),o}(t,d,n,i);if(d["two-digit-year-start"]=C(e),!u)return function(e,t,r,n){var a=e,i=L(t,r,l.resolvedOptions),o=n("formatType","string",["date","time","datetime"],"date"),s=n("dateFormat","string",["short","medium","long","full"],"short"),d=n("timeFormat","string",["short","medium","long","full"],"short");a.formatType=o,"datetime"!==o&&"date"!==o||(a.dateFormat=s),"datetime"!==o&&"time"!==o||(a.timeFormat=d),a.patternFromOptions=i,a.lenientParse=n("lenientParse","string",["none","full"],"full")}(d,e,i,t),d;if(void 0!==r){var m=t("timeZoneName","string",["short","long"]);void 0!==m&&(d.timeZoneName=m)}return d.lenientParse=t("lenientParse","string",["none","full"],"full"),d.patternFromOptions=P(d,i,s,"OraDateTimeConverter.resolvedOptions"),d}function Le(t,r,n){var a,i,o;(arguments.length<3||void 0===n)&&(n=e.OraI18nUtils.getLocaleElementsMainNodeKey(t)),(arguments.length<2||void 0===r)&&(r={year:"numeric",month:"numeric",day:"numeric"});var s=e.OraI18nUtils.getGetOption(r,"OraDateTimeConverter.resolvedOptions");void 0!==r&&(i=s("isoStrFormat","string",[T,E,b,D,M],M),o=s("dst","boolean",[!0,!1],!1),a=r.timeZone);var l=e.OraI18nUtils.getNumberingExtension(n);return void 0===e.OraI18nUtils.numeringSystems[l]&&(l="latn"),void 0!==r&&void 0!==r.pattern?function(e,t,r,n,a,i,o){var s=be(n,a,i.pattern);return s.pattern=i.pattern,void 0!==e&&(s.isoStrFormat=e),void 0!==t&&(s.timeZone=t),void 0!==r&&(s.dst=r),s["two-digit-year-start"]=C(i),s.lenientParse=o("lenientParse","string",["none","full"],"full"),s}(i,a,o,n,l,r,s):void 0!==r?_e(r,s,a,o,i,t,l,n):function(e,t,r){return{calendar:"gregorian",locale:t,numberingSystem:r,year:"numeric",month:"numeric",day:"numeric",patternFromOptions:P({year:"numeric",month:"numeric",day:"numeric"},e,t,"OraDateTimeConverter.resolvedOptions"),lenientParse:"full"}}(t,n,l)}function Fe(){return{format:function(t,r,n,a){var i;if("number"==typeof t)i=e.OraI18nUtils.dateToLocalIso(new Date(t));else{if("string"!=typeof t)return null;if(""===(i=e.OraI18nUtils.trim(t)))return null}(arguments.length<=2||void 0===n)&&(n={year:"numeric",month:"numeric",day:"numeric"});var o=W(r,n,e.OraI18nUtils.getISOStrFormatInfo(i),a),s=e.OraI18nUtils.getNumberingExtension(a);if(void 0===e.OraI18nUtils.numeringSystems[s]&&(s="latn"),"latn"!==s){for(var l=[],d=0;d<o.length;d++)o[d]>="0"&&o[d]<="9"?l.push(e.OraI18nUtils.numeringSystems[s][o[d]]):l.push(o[d]);return l.join("")}return o},formatRelative:function(e,t,r){return le(e,t,r)},parse:function(e,t,r,n){return Ce(e,t,r,n)},resolvedOptions:function(e,t,r){return Le(e,t,r)},calculateWeek:function(t){var r,n=e.OraI18nUtils.isoToLocalDate(t),a=new Date(n.getTime());return a.setDate(a.getDate()+4-(a.getDay()||7)),r=a.getTime(),a.setMonth(0),a.setDate(1),Math.floor(Math.round((r-a)/864e5)/7)+1},getAvailableTimeZones:function(t){return function(t){var r=d.getInstance(),a={sensitivity:"variant"},i=e.OraI18nUtils.getLocaleElementsMainNodeKey(t),o=e.OraI18nUtils.getLocaleElementsMainNode(t),s=o.dates.timeZoneNames.metazone,l=o.dates.timeZoneNames.zone,u=[],m={},c=t.supplemental.timeZoneData,v=new Date,g=[v.getFullYear(),v.getMonth()+1,v.getDate(),v.getHours(),v.getMinutes(),v.getSeconds()];function h(r,n,a,i){var o=r.split("/"),s=o[0],l=o[1],d="",u="",m={},c=i[s];void 0!==c&&void 0!==(d=c[l])&&void 0!==(d=d.exemplarCity)&&(d=" "+d);var v=s+"/"+l,h=t.supplemental.metazones,f=G(g,v,h);void 0!==a&&(f=a[f]),null!=f&&void 0!==f.long&&(void 0===(u=f.long.generic)&&(u=f.long.standard),void 0!==u&&(u=" - "+u));var p="("+U+")";return 0!==n&&(p="("+(p=e.OraI18nUtils.getTimeStringFromOffset(U,n,!0,!0))+")"),void 0===d||void 0===u?null:(m.offsetLocName=p+d+u,m.locName=d+u,m)}function f(e){for(var n,a=Object.keys(e),i=0;i<a.length;i++){var o=a[i],d=h(o,n=Ue(r.getZone(o,t),g),s,l);null!==d&&u.push({id:o,displayName:d}),m[o]=n}}var p=e.OraI18nUtils.getLocaleElementsMainNodeKey(t);if(void 0!==n[p]){var y=n[p].availableTimeZones;if(void 0!==y)return y}f(c.zones),f(c.links),u.sort(function(e,t){return m[t.id]-m[e.id]+e.displayName.locName.localeCompare(t.displayName.locName,i,a)});for(var I=u.length,O=0;O<I;O++)u[O].displayName=u[O].displayName.offsetLocName;return void 0===n[p]&&(n[p]={},n[p].availableTimeZones=u),u}(t)},compareISODates:function(t,r,n){var a=function(t,r){var n={isoStrFormat:D},a=e.OraI18nUtils.getISOStrFormatInfo(t),i=e.OraI18nUtils.getISOStrFormatInfo(r),o=a.format,s=i.format;return o===D||s===D?n:(n.isoStrFormat=T,n)}(t,r),i=Ce(t,n,a,"en-US"),o=Ce(r,n,a,"en-US"),s=i.value.replace("Z",""),l=o.value.replace("Z",""),d=e.OraI18nUtils._IsoStrParts(s);d=Date.UTC(d[0],d[1]-1,d[2],d[3],d[4],d[5],d[6]);var u=e.OraI18nUtils._IsoStrParts(l);return d-(u=Date.UTC(u[0],u[1]-1,u[2],u[3],u[4],u[5],u[6]))},isHour12:function(e){return _(e)},getTimePositioning:function(t,r,n){var a=Le(t,r,n),i=a.pattern||a.patternFromOptions;i=(i=i.replace(/'[^']*'/g,"").replace(/[^hHkKma]*/g,"")).replace(/(h|H|k|K)+/,"h").replace(/m+/,"m");var o=oe(e.OraI18nUtils.getLocaleElementsMainNodeKey(t)),s="ar"===o||"he"===o,l={},d=0,u=i.length;for(d=0;d<u;d++)l[i.charAt(d)]=d;return s&&(d=l.h,l.h=l.m,l.m=d),l}}}return{getInstance:function(){return t||(t=Fe()),t}}}();var d=function(){var e,t={},r=/^Etc\/GMT/i,n=6e4,a=60*n,i=-840,o=720,s="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWX",l=1e-6;function d(e,t){for(var r="",n=Math.abs(e),a=Math.floor(n),i=function(e,t){for(var r=".",n="";t>0;){t-=1,e*=60;var a=Math.floor(e+l);r+=s[a],e-=a,a&&(n+=r,r="")}return n}(n-a,Math.min(t,10));a>0;)r=s[a%60]+r,a=Math.floor(a/60);return e<0&&(r="-"+r),r&&i?r+i:(i||"-"!==r)&&(r||i)||"0"}function u(e){return e>96?e-87:e>64?e-29:e-48}function m(e){var t=0,r=e.split("."),n=r[0],a=r[1]||"",i=1,o=0,s=1;for(45===e.charCodeAt(0)&&(t=1,s=-1);t<n.length;t++)o=60*o+u(n.charCodeAt(t));for(t=0;t<a.length;t++)i/=60,o+=u(a.charCodeAt(t))*i;return o*s}function c(e){for(var t=0;t<e.length;t++)e[t]=m(e[t])}function v(e,t){for(var r=[],n=0;n<t.length;n++)r[n]=e[t[n]];return r}function g(e,t){var r=t.split("|"),a=r[1].split(" "),i=r[2].split(""),o=r[3].split(" ");return c(a),c(i),c(o),function(e,t){for(var r=0;r<t;r++)e[r]=Math.round((e[r-1]||0)+e[r]*n);e[t-1]=1/0}(o,i.length),{name:e,abbrs:v(r[0].split(" "),i),offsets:v(a,i),untils:o}}function h(){var e=new Error("The input time does not exist because it falls during the transition to daylight saving time.");throw e.errorInfo={errorCode:"nonExistingTime"},e}function f(e,t){var n=t.zones[e];if(r.test(e)){var a=e.replace(r,"").split(":"),s=60*parseInt(a[0],10),l=0;if(isNaN(s))return;if(2===a.length&&(l=parseInt(a[1],10),isNaN(l)))return;if((s+=s>=0?l:-l)<i||s>o)return;s=d(s,1),n=e.replace("/etc//i","").toUpperCase()+"|"+s+"|0|"}void 0!==n&&this._set(g(e,n))}function p(e){return(e||"").toLowerCase().replace(/\//g,"_")}function y(e,r){var n=p(e);return void 0===t[n]&&function(e,r){var n=new f(e,r),a=p(n.name);t[a]=n}(e,r),t[p(e)]||null}function I(){return{getZone:function(e,t){var r=t.supplemental.timeZoneData;void 0===r&&function(){var e=new Error("TimeZone data is missing. Please call require 'ojs/ojtimezonedata' in order to load the TimeZone data.");throw e.errorInfo={errorCode:"missingTimeZoneData"},e}();var n=y(e,r);if(!n){var a=r.links[e];a&&(n=y(a,r))}return n||function(e){var t=new Error("invalid timeZone ID: "+e),r={errorCode:"invalidTimeZoneID",parameterMap:{timeZoneID:e}};throw t.errorInfo=r,t}(e),n}}}return f.prototype={_set:function(e){this.name=e.name,this.abbrs=e.abbrs,this.untils=e.untils,this.offsets=e.offsets},parse:function(e,t,r,i){for(var o=this.offsets,s=this.untils,l=s.length-1,d=0;d<l;d++){var u=o[d],m=o[d+1],c=s[d],v=c-u*n,g=v-a;if(e>=v&&e<v+a&&u>m){if(!0!==i)return d+1;h()}if(e>=g&&e<v&&u<m)return t?d:d+1;if(e<c-u*n)return!1===r?t?u<m?d:d+1:u<m?d+1:d:d}return l},abbr:function(e){return this.abbrs[e]},ofset:function(e){var t=this.offsets.length;return e>=0&&e<t?parseInt(this.offsets[e],10):parseInt(this.offsets[t-1],10)},len:function(){return this.offsets.length}},{getInstance:function(){return e||(e=I()),e}}}(),u={};return u.DateRestrictionValidator=e.DateRestrictionValidator,u.DateTimeConverter=e.DateTimeConverter,u.DateTimeRangeValidator=e.DateTimeRangeValidator,u.IntlDateTimeConverter=e.IntlDateTimeConverter,u});